<?php
// DS Define
if(!defined('DS')) define('DS', DIRECTORY_SEPARATOR);

// get url vars
$option_cmd = (!empty($_GET['option_cmd'])) ? $_GET['option_cmd'] : '';
$print_cmd = (!empty($_GET['print_cmd'])) ? $_GET['print_cmd'] : '';
$lang_type = (!empty($_GET['lang_type'])) ? $_GET['lang_type'] : '';

// Compress css files in one file
header('Content-type: text/css');
ob_start("css_strip_whitespace");

// based on: http://www.catswhocode.com/blog/3-ways-to-compress-css-files-using-php
function compress($buffer) {
	// remove comments
	$buffer = preg_replace('!/\*[^*]*\*+([^/][^*]*\*+)*/!', '', $buffer);
	// remove tabs, spaces, newlines, etc.
	$buffer = str_replace(array("\r\n", "\r", "\n", "\t", '  ', '   ', '    '), '', $buffer);
	return $buffer;
}

// based on: https://www.progclub.org/blog/2012/01/10/compressing-css-in-php-no-comments-or-whitespace/
function css_strip_whitespace($css)
{
  // remove comments
  $css = preg_replace('!/\*[^*]*\*+([^/][^*]*\*+)*/!', '', $css);
  
  // remove tabs, spaces, newlines, etc.
  $css = str_replace(array("\r\n", "\r", "\n", "\t", '  ', '   ', '    '), '', $css);
	
  $replace = array(
    "#/\*.*?\*/#s" => "",  // Strip C style comments.
    "#\s\s+#"      => " ", // Strip excess whitespace.
  );
  $search = array_keys($replace);
  $css = preg_replace($search, $replace, $css);

  $replace = array(
    ": "  => ":",
    "; "  => ";",
    " {"  => "{",
    " }"  => "}",
    ", "  => ",",
    "{ "  => "{",
    ";}"  => "}", // Strip optional semicolons.
    ",\n" => ",", // Don't wrap multiple selectors.
    "\n}" => "}", // Don't wrap closing braces.
    "} "  => "}\n", // Put each rule on it's own line.
  );
  $search = array_keys($replace);
  $css = str_replace($search, $replace, $css);

  return trim($css);
}

// 16 core css files
include('template.css');
include('layout.css');
include('typography.css');
include('mstyles.css');
include('joomla.css');
include('menu.css');
include('system.css');
include('system'.DS.'offline.css');
include('system'.DS.'error.css');
if ($option_cmd=='com_mailto'): include('system'.DS.'mailto.css'); endif;
if ($print_cmd): include('system'.DS.'print.css'); endif;
include('k2_style.css');
include('virtuemart.css');
include('responsive.css');
include('custom.css');
if ($lang_type=='rtl'): include('rtl.css'); endif;

ob_end_flush();
?>