<!-- BEGIN: Style Switcher -->
<?php 
// get template's name
$bt_template_name = $bt->getCleanTemplateName(); 

// check if styling options are enabled
$params_ini_arr = $bt->getParamsIni();
$is_bg_layout_enabled = ($params_ini_arr['bg_layout'] == 1) ? true : false;
$is_bg_patterns_enabled = ($params_ini_arr['bg_patterns'] == 1) ? true : false;
$is_bg_images_enabled = ($params_ini_arr['bg_images'] == 1) ? true : false;
$is_skins_enabled = ($params_ini_arr['skins'] == 1) ? true : false;

// BEGIN: read pattern files
$bgpatterns_folder_path = JPATH_ROOT.'/templates/'.$bt_template_name.'/images/bg_patterns/';
$pattern_files = array();
if ($handle = opendir($bgpatterns_folder_path)) :
	while ($entry = readdir($handle)) :
		$ext = pathinfo($entry, PATHINFO_EXTENSION);
		if ($ext=='png' || $ext=='jpg'):
			$file_name_without_ext = str_replace('.png', '', $entry);
			$file_name_without_ext = str_replace('.jpg', '', $file_name_without_ext);
			$pattern_files[] = $file_name_without_ext;
		endif;
	endwhile;
	closedir($handle);
endif;
asort($pattern_files);
// END: read pattern files

// BEGIN: read bg images files
$bgimages_folder_path = JPATH_ROOT.'/templates/'.$bt_template_name.'/images/bg_images/';
$bgimages_files = array();
if ($handle = opendir($bgimages_folder_path)) :
	while ($entry = readdir($handle)) :
		$ext = pathinfo($entry, PATHINFO_EXTENSION);
		if ($ext=='png' || $ext=='jpg'):
			$file_name_without_ext = str_replace('.png', '', $entry);
			$file_name_without_ext = str_replace('.jpg', '', $file_name_without_ext);
			$bgimages_files[] = $file_name_without_ext;
		endif;
	endwhile;
	closedir($handle);
endif;
asort($bgimages_files);
// END: read bg images files

// BEGIN: read skin icons files
$skins_folder_path = JPATH_ROOT.'/templates/'.$bt_template_name.'/images/style_switcher/skins/';
$skins_files = array();
if ($handle = opendir($skins_folder_path)) :
	while ($entry = readdir($handle)) :
		$ext = pathinfo($entry, PATHINFO_EXTENSION);
		if ($ext=='png' || $ext=='jpg'):
			$file_name_without_ext = str_replace('.png', '', $entry);
			$file_name_without_ext = str_replace('.jpg', '', $file_name_without_ext);
			$skins_files[] = $file_name_without_ext;
		endif;
	endwhile;
	closedir($handle);
endif;
asort($skins_files);
// END: read skin icons files
?>
<div class="style_switcher" style="left: -212px;">
    <div class="switcher_icon"></div>
    <div class="form_holder">
		
        <div class="choose_your_style">Choose Your Layout Style</div>
        
		<?php if($is_bg_layout_enabled): ?>
        <div class="bg_type">
            <div class="s_wide"><a class="change-layout-wide" href="">Wide</a></div>
            <div class="s_boxed"><a class="change-layout-boxed" href="">Boxed</a></div>
        </div>
		<?php endif; ?>
		
		<?php if($is_bg_patterns_enabled): ?>
			<h3 class="bg_patterns">Patterns for Boxed Version</h3>
			<div class="bg_pattern_icons">
			<?php
			foreach ($pattern_files as $pattern_file):
				echo '<a class="pattern_icon change-pattern-'.$pattern_file.'"></a>'."\n";
			endforeach;			
			?>
			<?php /*?><?php for ($i=1;$i<=15;$i++) : ?>
				<a class="pattern_icon change-pattern-<?php echo $i; ?>"></a>
			<?php endfor; ?><?php */?>
			</div>
			<div class="style_separator"></div>
		<?php endif; ?>
		
		<?php if($is_bg_images_enabled): ?>
			<h3 class="bg_images">Images for Boxed Version</h3>
			<div class="bg_images_icons">
			<?php 
			foreach ($bgimages_files as $bgimages_file):
				echo '<a class="bg_icon change-bg_img-'.$bgimages_file.'"></a>'."\n";
			endforeach;
			?>
			</div>
			<div class="style_separator"></div>
		<?php endif; ?>
		
		<?php if($is_skins_enabled): ?>
		<?php 
		$skin_count = 0;
		foreach ($skins_files as $skins_file):
			$skin_count++;
		endforeach;
		?>
		<h3 class="color_schemes"><?php echo $skin_count; ?> Predefined Color Schemes</h3>
		<div class="color_schemes_icons">
        <?php 
		foreach ($skins_files as $skins_file):
			echo '<a id="'.$skins_file.'" class="skin_icon change-skin-'.$skins_file.' styleswitch"></a>'."\n";
		endforeach;
		?>
		</div>
		<div class="style_separator"></div>
		<?php endif; ?>

		<?php /*?><div class="reset_style"><a rel="skin1" class="reset_style styleswitch">Reset Styles</a></div><?php */?>
		<div class="reset_style"><a id="skin1" class="reset_style styleswitch">Reset Styles</a></div>

    </div>
</div>
<?php //var_dump($_COOKIE) ?>
<?php if ($bt->option_cmd == 'com_existing-component'): ?>
<script type="text/javascript" src="<?php echo BONUS_ASSETS_URL; ?>/js/jquery/jquery_v1.10.2.js"></script>
<script type="text/javascript" src="<?php echo BONUS_ASSETS_URL; ?>/js/jquery/jquery_bt_noconflict.js"></script>
<?php endif; ?>
<script type="text/javascript" src="<?php echo BONUS_ASSETS_URL; ?>/style_switcher/assets/js/fswit.js"></script>
<script type="text/javascript" src="<?php echo BONUS_ASSETS_URL; ?>/style_switcher/assets/js/jquery.cookie.js"></script>
<script type="text/javascript">
jQuery(document).ready(function() {
	
	// reset style
    jQuery('.reset_style').click(function(e){
        e.preventDefault();
		jQuery('#bt_wrapper').removeClass();
       
	    // clear all cookies
        jQuery.cookie("<?php echo $bt_template_name; ?>_bt_cookie_skin", null);
        jQuery.cookie("<?php echo $bt_template_name; ?>_bt_cookie_pattern", null);
        jQuery.cookie("<?php echo $bt_template_name; ?>_bt_cookie_bg_img", null);
        jQuery.cookie("<?php echo $bt_template_name; ?>_bt_cookie_bg_layout", null);
		jQuery('body#<?php echo $bt_template_name; ?>').removeClass();

        // create cookie
        jQuery.cookie("<?php echo $bt_template_name; ?>_bt_cookie_bg_layout", "", { expires: 7, path: '/' } );
		jQuery.cookie("<?php echo $bt_template_name; ?>_bt_cookie_bg_img", "no_bg_img", { expires: 7, path: '/' } );
        jQuery.cookie("<?php echo $bt_template_name; ?>_bt_cookie_pattern", "no_pattern", { expires: 7, path: '/' } );
        jQuery.cookie("<?php echo $bt_template_name; ?>_bt_cookie_skin", "skin1", { expires: 7, path: '/' } );
        jQuery('#<?php echo $bt_template_name; ?>_skin').attr('href', '<?php echo $this->baseurl; ?>/templates/<?php echo $this->template; ?>/css/skins/skin1.css');
		
		 // http://stackoverflow.com/questions/10420299/jquery-and-less-stylesheet-update-only-works-once
        //jQuery('style[id^="less:"]').remove();
        //less.refresh();
		
    }); 

	<?php if($is_skins_enabled): ?>
    // skins
	<?php foreach ($skins_files as $skins_file): ?>
    jQuery('.change-skin-<?php echo $skins_file; ?>').click(function(e){
        e.preventDefault();
        // clear all cookies
        jQuery.cookie("<?php echo $bt_template_name; ?>_bt_cookie_skin", null);
        jQuery.cookie("<?php echo $bt_template_name; ?>_bt_cookie_pattern", null);
        jQuery.cookie("<?php echo $bt_template_name; ?>_bt_cookie_bg_img", null);
        jQuery.cookie("<?php echo $bt_template_name; ?>_bt_cookie_bg_layout", null);
        // create cookie
        jQuery.cookie("<?php echo $bt_template_name; ?>_bt_cookie_skin", "<?php echo $skins_file; ?>", { expires: 7, path: '/' } );
        jQuery('#<?php echo $bt_template_name; ?>_skin').attr('href', '<?php echo $this->baseurl; ?>/templates/<?php echo $this->template; ?>/css/skins/<?php echo $skins_file; ?>.css');
        //jQuery('body#<?php echo $bt_template_name; ?>').removeClass();

        // http://stackoverflow.com/questions/10420299/jquery-and-less-stylesheet-update-only-works-once
        //jQuery('style[id^="less:"]').remove();
        //less.refresh();

    }); 
	<?php endforeach; ?>
	<?php endif; ?>

	<?php if($is_bg_patterns_enabled): ?>
    // pattern
    <?php foreach ($pattern_files as $pattern_file): ?>
	jQuery('.change-pattern-<?php echo $pattern_file; ?>').click(function(e){
        e.preventDefault();
        // clear all cookies
        jQuery.cookie("<?php echo $bt_template_name; ?>_bt_cookie_skin", null);
        jQuery.cookie("<?php echo $bt_template_name; ?>_bt_cookie_pattern", null);
        jQuery.cookie("<?php echo $bt_template_name; ?>_bt_cookie_bg_img", null);
        jQuery.cookie("<?php echo $bt_template_name; ?>_bt_cookie_bg_layout", null);

        // create cookie
        jQuery.cookie("<?php echo $bt_template_name; ?>_bt_cookie_bg_img", "no_bg_img", { expires: 7, path: '/' } );
        jQuery.cookie("<?php echo $bt_template_name; ?>_bt_cookie_pattern", "pattern pattern-<?php echo $pattern_file; ?>", { expires: 7, path: '/' } );
        jQuery('body#<?php echo $bt_template_name; ?>').removeClass();
        jQuery('body#<?php echo $bt_template_name; ?>').addClass('pattern pattern-<?php echo $pattern_file; ?> no_bg_img');

		// clear all cookies
        jQuery.cookie("<?php echo $bt_template_name; ?>_bt_cookie_bg_layout", null);
		
        // create cookie
        jQuery.cookie("<?php echo $bt_template_name; ?>_bt_cookie_bg_layout", "container", { expires: 7, path: '/' } );
		jQuery('#bt_wrapper').removeClass();
        jQuery('#bt_wrapper').addClass('container');
    });
    <?php endforeach; ?>
	<?php endif; ?>

	<?php if($is_bg_images_enabled): ?>
    // background image
	<?php foreach ($bgimages_files as $bgimages_file): ?>
	jQuery('.change-bg_img-<?php echo $bgimages_file; ?>').click(function(e){
        
		e.preventDefault();
       
	    // clear all cookies
        jQuery.cookie("<?php echo $bt_template_name; ?>_bt_cookie_skin", null);
        jQuery.cookie("<?php echo $bt_template_name; ?>_bt_cookie_pattern", null);
        jQuery.cookie("<?php echo $bt_template_name; ?>_bt_cookie_bg_img", null);
        jQuery.cookie("<?php echo $bt_template_name; ?>_bt_cookie_bg_layout", null);

        // create cookie
        jQuery.cookie("<?php echo $bt_template_name; ?>_bt_cookie_pattern", "no_pattern", { expires: 7, path: '/' } );
        jQuery.cookie("<?php echo $bt_template_name; ?>_bt_cookie_bg_img", "bg_img bg_img-<?php echo $bgimages_file; ?>", { expires: 7, path: '/' } );
        jQuery('body#<?php echo $bt_template_name; ?>').removeClass();
        jQuery('body#<?php echo $bt_template_name; ?>').addClass('no_pattern bg_img bg_img-<?php echo $bgimages_file; ?>');
		
		// clear all cookies
        jQuery.cookie("<?php echo $bt_template_name; ?>_bt_cookie_bg_layout", null);
		
        // create cookie
        jQuery.cookie("<?php echo $bt_template_name; ?>_bt_cookie_bg_layout", "container", { expires: 7, path: '/' } );
		jQuery('#bt_wrapper').removeClass();
        jQuery('#bt_wrapper').addClass('container');
		
    });
	<?php endforeach; ?>
	<?php endif; ?>

	<?php if($is_bg_layout_enabled): ?>
    // boxed layout
    jQuery('.change-layout-boxed').click(function(e){
        e.preventDefault();
        
        // clear all cookies
        jQuery.cookie("<?php echo $bt_template_name; ?>_bt_cookie_bg_layout", null);
        // create cookie
        jQuery.cookie("<?php echo $bt_template_name; ?>_bt_cookie_bg_layout", "container", { expires: 7, path: '/' } );
        jQuery('#bt_wrapper').removeClass();
        jQuery('#bt_wrapper').addClass('container');
    }); 
	
    // wide layout
    jQuery('.change-layout-wide').click(function(e){
        e.preventDefault();
        // clear all cookies
        jQuery.cookie("<?php echo $bt_template_name; ?>_bt_cookie_bg_layout", null);
        // create cookie
        jQuery.cookie("<?php echo $bt_template_name; ?>_bt_cookie_bg_layout", "", { expires: 7, path: '/' } );
       jQuery('#bt_wrapper').removeClass();
    });
	<?php endif; ?>

});
</script>
<!-- END: BT Style Switcher -->
