<?php
// no direct access
defined( '_JEXEC' ) or die( 'Restricted access' );
 
jimport('joomla.event.plugin');
jimport('joomla.plugin.plugin');
jimport( 'joomla.html.parameter' );

class plgSystemBonusframework extends JPlugin
{
	public function __construct(&$subject, $config)
	{
		parent::__construct($subject, $config);
		include_once(dirname(__FILE__) . '/core/defines.php');
	}

	function onAfterRender()
	{		
		// must be in frontend
		$app = JFactory::getApplication();

		// BEGIN: reload the templateDetails.xml params inside <confing>
		if ($app->isAdmin()) :
			require_once(BONUS_ADMIN_PATH.'/bonusframework.scriptfile.php');
			$installer_script = new plgSystemBonusFrameworkInstallerScript();
			$installer_script->replaceTemplateDetailsXML();
			$installer_script->storeDefaultParametersSQL();
		endif;
		// END: reload the templateDetails.xml params inside <confing>

		if ($app->isAdmin()) :
			return;
		endif;
		
		// BEGIN: shortcodes
		$runmode = $this->params->get('runmode', '1');
		if ($runmode != 1) return;

		$app = JFactory::getApplication();
		
		if ($app->isSite()) :
			
			//JURI::current();// It's very strange, but without this line at least Joomla 3 fails to fulfill the task
			//$router = JSite::getRouter();// get router
			//$query = $router->parse(JURI::getInstance()); // Get the real joomla query as an array - parse current joomla link
			//$url = 'index.php?'.JURI::getInstance()->buildQuery($query);
			//if(!( $view=='form' && strpos($url,'option=com_content') && $layout == 'edit')):
			
				$page = JResponse::GetBody();
				
				$page = str_replace("jform[title]","jform[bttitle]",$page);
						
			
				// load wordpress core functions for wp shortcodes
				require_once('core/wp_api.php');
				// load shortcodes
				require_once('core/shortcodes.php');
				
				$page = do_shortcode($page);
				
				$page = str_replace("jform[bttitle]","jform[title]",$page);
				JResponse::SetBody($page);
			//endif;

		endif;
		// END: shortcodes
		
		
	}
	
		public function   onBeforeRender()
		{
			$app = JFactory::getApplication();
			
			if ($app->isSite()) :		
				$document = JFactory::getDocument();			
				$document->addScript(JURI::base().'plugins/system/bonusframework/assets/js/plugin.js');
			endif;			
		}	
	
    function onPrepareContent( &$article, &$params, $limitstart )
    {
		// BEGIN: shortcodes
		$runmode = $this->params->get('runmode', '1');
		if ($runmode != 0) return;

		$article->text = do_shortcode($article->text);
		return true;
		// END: shortcodes
    }

	function onContentPrepare( $context, &$article, &$params, $limitstart=0 ) {
		global $mainframe;
		global $enable_command_block, $block_list;
		$pluginParams = $this->params;
		$using_no_editor = 0;
		$enable_command_block = 1;
		$block_list = 'date, basename, chgrp, chmod, chown, clearstatcache, copy, delete, dirname, disk_free_space, disk_total_space, diskfreespace, fclose, feof, fflush, fgetc, fgetcsv, fgets, fgetss, file_exists, file_get_contents, file_put_contents, file, fileatime, filectime, filegroup, fileinode, filemtime, fileowner, fileperms, filesize, filetype, flock, fnmatch, fopen, fpassthru, fputcsv, fputs, fread, fscanf, fseek, fstat, ftell, ftruncate, fwrite, glob, lchgrp, lchown, link, linkinfo, lstat, move_uploaded_file, opendir, parse_ini_file, pathinfo, pclose, popen, readfile, readdir, readllink, realpath, rename, rewind, rmdir, set_file_buffer, stat, symlink, tempnam, tmpfile, touch, umask, unlink, fsockopen, system, exec, passthru, escapeshellcmd, pcntl_exec, proc_open, proc_close, mkdir, rmdir';

		$block_list = preg_replace('/\s*/s', '', $block_list);
		$block_list = explode(',', $block_list);

		$php_start = "<?php";
		$php_end = "?>";
		$contents = $article->text;
		$contents = $this->fix_str($contents);
		$output = "";
		$regexp = '/(.*?)'.$this->fix_reg($php_start).'\s+(.*?)'.$this->fix_reg($php_end).'(.*)/s';
		$found = preg_match($regexp, $contents, $matches);
		while ($found) {
			$output .= $matches[1];
			$phpcode = $matches[2];
			global $errmsg;
			if ($this->check_php($phpcode)) {
				ob_start();
				if ($using_no_editor) {
					eval($phpcode);
				} else {
					eval($this->fix_str2($phpcode));
				}
				$output .= ob_get_contents();
				ob_end_clean();
			} else {
				$output .= "The following command is not allowed: <b>$errmsg</b>";
			}
			$contents = $matches[3];
			$found = preg_match($regexp, $contents, $matches);
		}
		$output .= $contents;
		$article->text = $output;
		return true;
	}

	function fix_str($str) {
		$str = str_replace('{?php', '<?php', $str);
		$str = str_replace('?}', '?>', $str);
		$str = preg_replace(array('%&lt;\?php(\s|&nbsp;|<br\s/>|<br>|<p>|</p>)%s', '/\?&gt;/s', '/-&gt;/'), array('<?php ', '?>', '->'), $str);
		return $str;
	}

	function fix_str2($str) {
		$str = str_replace('<br>', "\n", $str);
		$str = str_replace('<br />', "\n", $str);
		$str = str_replace('<p>', "\n", $str);
		$str = str_replace('</p>', "\n", $str);
		$str = str_replace('&#39;', "'", $str);
		$str = str_replace('&quot;', '"', $str);
		$str = str_replace('&lt;', '<', $str);
		$str = str_replace('&gt;', '>', $str);
		$str = str_replace('&amp;', '&', $str);
		$str = str_replace('&nbsp;', ' ', $str);
		$str = str_replace('&#160;', "\t", $str);
		$str = str_replace(chr(hexdec('C2')).chr(hexdec('A0')), '', $str);
		$str = str_replace(html_entity_decode("&Acirc;&nbsp;"), '', $str);
		return $str;
	}

	function fix_reg($str) {
		$str = str_replace('?', '\?', $str);
		$str = str_replace('{', '\{', $str);
		$str = str_replace('}', '\}', $str);
		return $str;
	}

	function check_php($code) {
		global $enable_command_block, $block_list, $errmsg;
		$status = 1;
		if (!$enable_command_block) return $status;
		$function_list = array();
		if (preg_match_all('/([a-zA-Z0-9_]+)\s*[(|"|\']/s', $code, $matches)) {
			$function_list = $matches[1];
		}

		if (preg_match('/`(.*?)`/s', $code)) {
			$status = 0;
			$errmsg = 'backticks (``)';
			return $status;
		}
		if (preg_match('/\$database\s*->\s*([a-zA-Z0-9_]+)\s*[(|"|\']/s', $code, $matches)) {
			$status = 0;
			$errmsg = 'database->'.$matches[1];
			return $status;
		}
		foreach($function_list as $command) {
			if (in_array($command, $block_list)) {
				$status = 0;
				$errmsg = $command;
				break;
			}
		}
		return $status;
	}


	private function add2startofScripts($key)
	{
		$document = JFactory::getDocument();
	  	$newScriptsRow =  Array();
		$newScriptsRow[$key]= Array("mime" =>"text/javascript", "defer" =>null, "async" => null);
		$document->_scripts =  $newScriptsRow + $document->_scripts ;		
	}

	private function removeScriptIfContains($text)
	{
		if(trim($text)!='')
		{
		$document = JFactory::getDocument();
			foreach($document->_scripts as $key=>$script)
			{
				if(strpos( $key ,$text )!==false)
				{
					unset($document->_scripts[$key]);
				}
			}
		}

	}

	private function removeStylesheettIfContains($text)
	{
		if(trim($text)!='')
		{
		$document = JFactory::getDocument();
			foreach($document->_styleSheets as $key=>$script)
			{
				if(strpos( $key ,$text )!==false)
				{
					unset($document->_styleSheets[$key]);
				}
			}
		}

	}

	private function add2startofStylesheets($key)
	{
		$document = JFactory::getDocument();
	   $newStylesRow =  Array();
		$newStylesRow[$key]= Array("mime" =>"text/css", "media" =>null, "attribs" => Array ());
		foreach($document->_styleSheets as $key=>$style)
		{		
			$newStylesRow[$key] = $style;
			//$document->_styleSheets = $this->replace_key_function($document->_styleSheets, $key1, $key2)
		}
		$document->_styleSheets = $newStylesRow; 
	}
	
	private function startsWith($haystack, $needle)
	{
	     $length = strlen($needle);
	     return (substr($haystack, 0, $length) === $needle);
	}

	private function endsWith($haystack, $needle)
	{
	    $length = strlen($needle);
	    if ($length == 0) {
	        return true;
	    }
	
	    return (substr($haystack, -$length) === $needle);
	}


	private function getToEndTemplateSkinCssFiles()
	{
		$document = JFactory::getDocument();
	   $newStylesRow =  Array();
		$newStylesRow[$key]= Array("mime" =>"text/css", "media" =>null, "attribs" => Array ());
		foreach($document->_styleSheets as $key=>$style)
		{		
			if($this->startsWith($key,"templates/") && (strpos($key,"/css/style.skin") !== false))
			{
		
				$newStylesRow[$key] = $style;
				unset($document->_styleSheets[$key]);
			}
			
		}
		
		$stylesheets = array_merge($document->_styleSheets, $newStylesRow);
		$document->_styleSheets=$stylesheets;
		
		

		
	}

	public function   onBeforeCompileHead()
	{
				$app = JFactory::getApplication(); 

				$inSite = $app->isSite();

				if($inSite):
					$document = JFactory::getDocument();

					if($this->params->get('remove_other_jqueries')=='1'):
						$this->removeScriptIfContains('jquery.min.js');
						$this->removeScriptIfContains('jquery-1');
						$this->removeScriptIfContains('jquery-2');	
					endif;

					if($this->params->get('load_own_jquery_no_conflict')=='1'):
						$this->removeScriptIfContains('jquery-noconflict');	
						$this->add2startofScripts(JURI::base().'plugins/system/bonusframework/assets/js/jquery/jquery-noconflict.js');
					endif;

					if($this->params->get('load_own_jquery_migrate')=='1'):
						$this->removeScriptIfContains('jquery-migrate');	
						$this->add2startofScripts(JURI::base().'plugins/system/bonusframework/assets/js/jquery/jquery-migrate-1.2.1.min.js');
					endif;



					if($this->params->get('remove_other_scripts')=='1'):
						$other_scripts = explode(",",$this->params->get('other_scripts'));
						foreach($other_scripts as $other_script)
						{
							$this->removeScriptIfContains(trim($other_script));	
						}	
					endif;

					if($this->params->get('load_jquery')=='1'):
						$this->removeStylesheettIfContains('chosen');
						$this->add2startofScripts(JURI::base().'plugins/system/bonusframework/assets/js/jquery/chosen/chosen.jquery.js');
						$this->add2startofStylesheets(JURI::base().'plugins/system/bonusframework/assets/js/jquery/chosen/chosen.min.css');
						$this->add2startofStylesheets(JURI::base().'plugins/system/bonusframework/assets/js/jquery/jquery-ui/jquery-ui.min.css');
						$this->add2startofScripts(JURI::base().'plugins/system/bonusframework/assets/js/jquery/jquery-ui/jquery-ui.min.js');
						$this->add2startofScripts(JURI::base().'plugins/system/bonusframework/assets/js/jquery/jquery-1.11.3.min.js');
						//$document->addScript(JURI::base().'plugins/system/bonusframework/assets/js/jquery/jquery-1.11.2.min.js');
					elseif($this->params->get('load_jquery')=='2'):
						$this->removeStylesheettIfContains('chosen');
						$this->add2startofScripts(JURI::base().'plugins/system/bonusframework/assets/js/jquery/chosen/chosen.jquery.js');
						$this->add2startofStylesheets(JURI::base().'plugins/system/bonusframework/assets/js/jquery/chosen/chosen.min.css');
						$this->add2startofStylesheets(JURI::base().'plugins/system/bonusframework/assets/js/jquery/jquery-ui/jquery-ui.min.css');
						$this->add2startofScripts(JURI::base().'plugins/system/bonusframework/assets/js/jquery/jquery-ui/jquery-ui.min.js');
						$this->add2startofScripts(JURI::base().'plugins/system/bonusframework/assets/js/jquery/jquery-2.1.4.min.js');
						//$document->addScript(JURI::base().'plugins/system/bonusframework/assets/js/jquery/jquery-2.1.3.min.js');
					endif;				
					
					if($this->params->get('load_fontawesome')):
						//$document->addStyleSheet(JURI::base().'plugins/system/bonusframework/assets/ui-libs/font-awesome/css/font-awesome.min.css');
						$this->add2startofStylesheets(JURI::base().'plugins/system/bonusframework/assets/ui-libs/font-awesome/css/font-awesome.min.css');
					endif;
					
					if($this->params->get('load_shortcodescss')):
						//$document->addStyleSheet(JURI::base().'plugins/system/bonusframework/assets/css/shortcodes.css');
						$this->add2startofStylesheets(JURI::base().'plugins/system/bonusframework/assets/css/shortcodes.css');
					endif;
					
					if($this->params->get('load_bootstrap')):
						$this->removeScriptIfContains('bootstrap');	
						$document->addScript(JURI::base().'plugins/system/bonusframework/assets/js/bootstrap/bootstrap.min.js');
						$this->add2startofStylesheets(JURI::base().'plugins/system/bonusframework/assets/css/bootstrap.min.css');																		
					endif;


						
					$this->getToEndTemplateSkinCssFiles(); 
				endif; //insite
	}



}// end class

$jinput = JFactory::getApplication()->input;
$view= $jinput->get('view', '');
$layout= $jinput->get('layout', '');

// If we are in the front view of editor not load the shortcodes
/*$jinput = JFactory::getApplication()->input;
$view= $jinput->get('view', '');
$layout= $jinput->get('layout', '');
JURI::current();// It's very strange, but without this line at least Joomla 3 fails to fulfill the task
$router = JSite::getRouter();// get router
$query = $router->parse(JURI::getInstance()); // Get the real joomla query as an array - parse current joomla link
$url = 'index.php?'.JURI::getInstance()->buildQuery($query);
if(!( $view=='edit' && $option=='com_content' && $layout == 'edit')):
	// load wordpress core functions for wp shortcodes
//	require_once('core/wp_api.php');

	// load shortcodes
//	require_once('core/shortcodes.php');
endif;
*/
/*
CREDITS
- kksou.com - direct php plugin)
- (intellispire.com - wordpress shortcodes)
*/
?>
