<?php
// Check the cms
$check_cms = 'joomla'; // Options: joomla, wordpress, drupal, html/php 

//////////////////////////////////////////////////////////////////
// Remove extra P tags
//////////////////////////////////////////////////////////////////
function shortcodes_formatter($content) {
	$block = join("|",
	array(
	"youtube", 
	"vimeo", 
	"soundcloud", 
	"button", 
	"dropcap", 
	"highlight", 
	"list", 
	"tabs", 
	"tab", 
	"one_half", 
	"one_third", 
	"one_fourth", 
	"two_third", 
	"three_fourth", 
	"tagline_box", 
	"pricing_table", 
	"pricing_column", 
	"pricing_option", 
	"content_boxes", 
	"content_box", 
	"slider", 
	"slide", 
	"testimonials", 
	"testimonial", 
	"progress", 
	"person", 
	"recent_posts", 
	"recent_works", 
	"alert", "fonticon", 
	"social_icons", 
	"social_icon", 
	"clients", 
	"client", 
	"title", 
	"separator", 
	"gap", 
	"tooltip", 
	//"full_width", 
	"bt_google_map", 
	"counters_circle", 
	"counter_circle", 
	"counters_box", 
	"counter_box", 
	"flexslider", 
	"blog", 
	"imageframe", 
	"images", 
	"image", 
	"sharing_box", 
	"featured_products_slider", 
	"products_slider", 
	//"row", 
	"section", 
	"circles",
	));

	// opening tag
	$rep = preg_replace("/(<p>)?\[($block)(\s[^\]]+)?\](<\/p>|<br \/>)?/","[$2$3]",$content);

	// closing tag
	$rep = preg_replace("/(<p>)?\[\/($block)](<\/p>|<br \/>)/","[/$2]",$rep);

	return $rep;
}

if ($check_cms=='wordpress'):
	add_filter('the_content', 'shortcodes_formatter');
	add_filter('widget_text', 'shortcodes_formatter');
	add_action('init', 'add_button');
endif;

//////////////////////////////////////////////////////////////////
// Add buttons to tinyMCE
//////////////////////////////////////////////////////////////////
function add_button() {
	if(strstr($_SERVER['REQUEST_URI'], 'wp-admin/post-new.php') || strstr($_SERVER['REQUEST_URI'], 'wp-admin/post.php')) {
		add_filter('mce_external_plugins', 'add_plugin');  
		add_filter('mce_buttons_2', 'register_button');  
	}
}    

function register_button($buttons) {
   array_push($buttons, "tfbutton");  
   return $buttons;
}  

function add_plugin($plugin_array) {  
   $plugin_array['tfbutton'] = get_template_directory_uri().'/tinymce/customcodes.js';

   return $plugin_array;  
}

//////////////////////////////////////////////////////////////////
// Alert Message
//////////////////////////////////////////////////////////////////
// [alert type="e.g. success, info, warning, danger" dismiss="yes or no"]Your Message Goes Here.[/alert]
add_shortcode('alert', 'shortcode_alert');
function shortcode_alert($atts, $content = null) {
	extract( shortcode_atts( array(		
		'type' => 'info',
		'dismiss' => 'yes',		
	), $atts ) );
	
	$type = (strpos($type,',') !== false) ? 'info' : $type;
	$dismiss = (strpos($dismiss,'or') !== false) ? 'yes' : $dismiss;
	
	$html  = '';
	$html .= '<div class="alert alert-'.$type.' alert-dismissable">';
	$html .= ($dismiss=='no') ? '' : '<button type="button" class="close" data-dismiss="alert" aria-hidden="true">&times;</button>';
	$html .= do_shortcode($content);
	$html .= '</div>';
	return $html;
}

//////////////////////////////////////////////////////////////////
// Button
//////////////////////////////////////////////////////////////////
// [button type="e.g link, button, input, submit" color_type="e.g. default, primary, info, success, warning, danger, link" size="e.g. mini, small, default, large" block="e.g. yes, no" link="" target="e.g. _self, _blank" style=""]button name goes here[/button]
add_shortcode('button', 'shortcode_button');
function shortcode_button($atts, $content = null) {
	extract( shortcode_atts( array(		
		'type' => 'button',
		'color_type' => 'default',
		'size' => 'default',
		'block' => 'no',
		'style' => '',
		'link' => '',
		'target' => '_self',
		
	), $atts ) );
	
	$style = (!empty($style)) ? ' style="'.$style.'"' : '';
		
	$type = (strpos($type,',') !== false) ? 'button' : $type;
	$color_type = (strpos($color_type,',') !== false) ? 'default' : $color_type;
	$size = (strpos($size,',') !== false) ? 'default' : $size;
	$block = (strpos($block,',') !== false) ? 'no' : $block;
	$target = (strpos($target,',') !== false) ? '_self' : $target;
	
	if ($size == 'mini') :
		$button_size = ' btn-xs';
	elseif ($size =='small') :
		$button_size = ' btn-sm';
	elseif ($size =='default') :
		$button_size = '';
	elseif ($size =='large') :
		$button_size = ' btn-lg';
	else:
		$button_size = '';
	endif;
	
	$block_button = ($block=='yes') ? ' btn-block' : ''; 
	
	$color_type = ($type == "link") ? 'link' : $color_type;
	$class = 'btn btn-'.$color_type.$button_size.$block_button;
	
	if ($type=='link') :
		$html = "<a href=\"".$link."\" target=\"".$target."\" class=\"".$class."\">".$content."</a>";
	elseif ($type=='button') :
		$html = "<button class=\"".$class."\">".$content."</button>";
	elseif ($type=='input') :
		$html = "<input type=\"button\" class=\"".$class."\" value=\"".$content."\" />";
	elseif ($type=='submit') :
		$html = "<input type=\"submit\" class=\"".$class."\" value=\"".$content."\" />";
	else:
		$html = "<a href=\"".$link."\" target=\"".$target."\" class=\"".$class."\">".$content."</a>";
	endif;
	
	return $html;
}

//////////////////////////////////////////////////////////////////
// Circle Hover Effects
//////////////////////////////////////////////////////////////////
/*[circles]
[circle image_link="http:://image_path_goes_here" title="Sample Title" person="John Stewart" job="Web Designer" link="#" linktarget="e.g. _self, _blank" style=""]
[circle image_link="http:://image_path_goes_here" title="Sample Title" person="John Stewart" job="Web Designer" link="#" linktarget="e.g. _self, _blank" style=""]
[/circles]*/
add_shortcode('circles', 'shortcode_circles');
function shortcode_circles( $atts, $content = null ) {
	$html  = '<ul class="ch-grid">';
	$html .= do_shortcode($content);
	$html .= '</ul>';
	
	return $html;
}

// [circle image_link="http:://image_path_goes_here" title="Sample Title" person="John Stewart" job="Web Designer" link="#" linktarget="e.g. _self, _blank" style=""]
add_shortcode('circle', 'shortcode_circle');
function shortcode_circle( $atts, $content = null ) {
	
	$check_cms = 'joomla'; // Options: joomla, wordpress, drupal, html/php 
	
	extract(shortcode_atts(array(
	
		'image_link' => (($check_cms=='wordpress') ? get_bloginfo('template_directory') : '').'/images/circle_hover_effects/1.jpg',
		'title' => 'Sample Title',
		'person' => '',
		'job' => '',
		'link' => '',
		'linktarget' => '_self',
		'style' => ''
	), $atts));
	
	$style = (!empty($style)) ? ' style="'.$style.'"' : '';
	
	if (strpos($image_link,'image_path_goes_here') !== false) :
		$image_link = (($check_cms=='wordpress') ? get_bloginfo('template_directory') : '').'/images/circle_hover_effects/1.jpg';
	endif;
	
	$html  = '';
	$html .= '<li'.$style.'>';
	$html .= '<div class="ch-item" style="background-image: url('.$image_link.'); ">';
	$html .= '<div class="ch-info">';
	$html .= '<h3>'.$title.'</h3>';
	
	$html .= (!empty($person) || (!empty($link) && !empty($job))) ? '<p>by '.$person : '';
	$html .= (!empty($link) && !empty($job)) ? '<a href="'.$link.'" target="'.$linktarget.'">'.$job.'</a>' : '';
	$html .= (!empty($person) || (!empty($link) && !empty($job))) ? '</p>' : '';
		
	$html .= '</div>';
	$html .= '</div>';
	$html .= '</li>';
	
	return $html;
}

//////////////////////////////////////////////////////////////////
// Dropcap
//////////////////////////////////////////////////////////////////
// [dropcap type="e.g. 1 or 2"]S[/dropcap]ed ut eros eget tellus rhoncus porta elementum sit amet augue. In ornare quis nibh ut pretium. Ut vel lacinia risus. Aliquam at lacus at quam cursus vulputate. Fusce feugiat lectus diam, a vestibulum augue tempus in. Etiam aliquam justo quis erat ultricies lacinia. Vivamus porta lectus vitae tellus commodo, et luctus lectus pellentesque. Aenean commodo, lacus quis suscipit lobortis, dui nunc luctus nisl, egestas vehicula urna mi ut dui. Phasellus diam arcu, egestas luctus pharetra molestie, varius in eros.
add_shortcode('dropcap', 'shortcode_dropcap');
function shortcode_dropcap( $atts, $content = null ) {  

	extract( shortcode_atts( array(
		'type' => '1',
	), $atts ) );
	
	$type = (strpos($type,'e.g.') !== false) ? '1' : $type;
	
	return '<span class="dropcap-'.$type.'">' .do_shortcode($content). '</span>';  
}

//////////////////////////////////////////////////////////////////
// Testimonials
//////////////////////////////////////////////////////////////////
/*[testimonials]
[testimonial img_link="http://lorempixel.com/output/people-q-c-150-150-1.jpg" author="Nick Tomson"]testimonial goes here...[/testimonial]
[testimonial img_link="http://lorempixel.com/output/abstract-q-c-150-150-2.jpg" author="Nick Tomson"]testimonial goes here...[/testimonial]
[/testimonials]*/
add_shortcode('testimonials', 'shortcode_testimonials');
function shortcode_testimonials( $atts, $content = null ) {
	
	static $bc_testimonials_counter = 1;
	
	$html  = '<section class="testimonials clearfix"><div id="cbp-qtrotator-'.$bc_testimonials_counter.'" class="cbp-qtrotator">';
	$html .= do_shortcode($content);
	$html .= '</div></section>';
	
	$html .= "\n\n<!-- BEGIN: testimonials rotator -->\n";
	$html .= "<script type='text/javascript'>
	var jquery_testimonials = jQuery.noConflict();
	jquery_testimonials(document).ready(function($) {
		jquery_testimonials( '#cbp-qtrotator-".$bc_testimonials_counter."' ).cbpQTRotator();
	});
	</script>\n<!-- END: testimonials rotator -->\n\n";
	
	$bc_testimonials_counter++;
	
	return $html;
}

add_shortcode('testimonial', 'shortcode_testimonial');
function shortcode_testimonial( $atts, $content = null ) {

	extract(shortcode_atts(array(
		'img_link' => '',
		'testimonial' => 'Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut voluptate velit esse cillum.',
		'author' => 'Nora Valsamic',
	), $atts));
	
	$html  = '';
	$html .= '<div class="cbp-qtcontent">';
	$html .= (!empty($img_link)) ? '<img src="'.$img_link.'" alt="'.$author.'" />' : '';	
	$html .= '<blockquote>';	
	$html .= do_shortcode($content);
	$html .= '<footer>'.$author.'</footer>';	
	$html .= '</blockquote>';	
	$html .= '</div>';

	return $html;
}



//////////////////////////////////////////////////////////////////
// Accordion & Toggles
//////////////////////////////////////////////////////////////////
/*
[accordion]
[toggle title="Sample Title #1" open="e.g. yes, no"]content #1 goes here...[/toggle]
[toggle title="Sample Title #2" open="e.g. yes, no"]content #2 goes here...[/toggle]
[toggle title="Sample Title #3" open="e.g. yes, no"]content #3 goes here...[/toggle]
[/accordion]
*/
add_shortcode('accordion', 'shortcode_accordion');
function shortcode_accordion( $atts, $content = null ) {

	static $bc_accordion = 1;
	
	$html  = '<div class="panel-group" id="bc_accordion-'.$bc_accordion.'">';
	$html .= do_shortcode($content);
	$html .= '</div>';
	
	$html .= "<script type='text/javascript'>
	jQuery(document).ready(function($) {
		$('#bc_accordion-".$bc_accordion." .panel-title a').each(function(){

			$(this).attr('data-parent','#bc_accordion-".$bc_accordion."');  					  
		})
	});
	</script>";	
	
	
	/*if ($type == 'open-all') :
	$html .= "<script type='text/javascript'>
	jQuery(document).ready(function($) {
		$('#bc_accordion-".$bc_accordion."').collapse({
		  parent: 'bc_accordion-".$bc_accordion."';
		})
	});
	</script>";
	endif;*/
	
	$bc_accordion++;
	
	return $html;
}

add_shortcode('toggle', 'shortcode_toggle');
function shortcode_toggle( $atts, $content = null ) {

	extract(shortcode_atts(array(
		'title' => 'Sample Title',
		'open' => 'no',
	), $atts));

	static $bc_toggle = 1;

	$html = '<div class="panel panel-default">
		<div class="panel-heading">
		  <h4 class="panel-title">
			<a data-toggle="collapse" data-parent="#accordion" href="#collapse-'.$bc_toggle.'">'.$title.'</a>
		  </h4>
		</div>
		<div id="collapse-'.$bc_toggle.'" class="panel-collapse collapse'.($open=='yes' ? ' in' : '').'">
		  <div class="panel-body">'.do_shortcode($content).'</div>
	 	</div>
		</div>';
	 
	$bc_toggle++;

	return $html;
}

//////////////////////////////////////////////////////////////////
// Google Map
//////////////////////////////////////////////////////////////////
// [bt_google_map address="Limassol, Cyprus" type="roadmap, satellite, hybrid, terrain" width="100%" height="300px" zoom="14" scrollwheel="yes" scale="yes" zoom_pancontrol="yes" color="#CCC"][/bt_google_map]
add_shortcode('bt_google_map', 'shortcode_google_map');
function shortcode_google_map($atts, $content = null) {

	extract(shortcode_atts(array(
		'address' => '',
		'type' => 'satellite',
		'width' => '100%',
		'height' => '300px',
		'zoom' => '14',
		'scrollwheel' => 'true',
		'scale' => 'true',
		'zoom_pancontrol' => 'true',
		'color' => '#CCC',
	), $atts));

	static $bc_map_counter = 1;

	if($scrollwheel == 'yes') {
		$scrollwheel = 'true';
	} elseif($scrollwheel == 'no') {
		$scrollwheel = 'false';
	}

	if($scale == 'yes') {
		$scale = 'true';
	} elseif($scale == 'no') {
		$scale = 'false';
	}

	if($zoom_pancontrol == 'yes') {
		$zoom_pancontrol = 'true';
	} elseif($zoom_pancontrol == 'no') {
		$zoom_pancontrol = 'false';
	}

	$addresses = explode('|', $address);

	$markers = '';
	foreach($addresses as $address_string) {
		$markers .= "{
			address: '{$address_string}',
			html: {
				content: '{$address_string}',
				popup: true
			} 
		},";	
	}
		
	$html  = "\n\n<!-- BEGIN: Google Maps -->\n";
	$html .= '<script src="https://maps.google.com/maps/api/js?v=3.exp&#038;sensor=false&#038;language=en&#038;ver=3.8.1"></script>'."\n";
	$html .= '<script src="'.BONUS_ASSETS_URL.'/js/shortcodes/bt_gmap.js"></script>'."\n";
	/*$html .= '<script src="'.BONUS_ASSETS_URL.'/js/shortcodes/modernizr.custom.js"></script>'."\n";*/
	$html .= "<script type='text/javascript'>
	var gmap = jQuery.noConflict();
	gmap(document).ready(function($) {
	   gmap('#gmap-{$bc_map_counter}').goMap({
		  address: '{$addresses[0]}',
		  zoom: {$zoom},
		  scrollwheel: {$scrollwheel},
		  scaleControl: {$scale},
		  navigationControl: {$zoom_pancontrol},
		  maptype: '{$type}',
		  markers: [{$markers}]
	   });
	});
	</script>\n";

	$html .= '<div class="shortcode-map" id="gmap-'.$bc_map_counter.'" style="width:'.$width.';height:'.$height.';color:'.$color.'">';
	$html .= '</div>';
	$html .= "\n<!-- END: Google Maps -->\n";

	$bc_map_counter++;

	return $html;
}

//////////////////////////////////////////////////////////////////
// Highlight
//////////////////////////////////////////////////////////////////
// [highlight type="e.g. muted, primary, success, info, warning, danger"]Your Highlight text goes here...[/highlight]
add_shortcode('highlight', 'shortcode_highlight');
function shortcode_highlight($atts, $content = null) {
	extract(shortcode_atts(array(
		'type' => 'primary',
	), $atts));
	
	$type = (strpos($type,',') !== false) ? 'muted' : $type;
	
	$html = '<span class="highlight text-'.$type.'">' .do_shortcode($content). '</span>';
	
	return $html;
}

//////////////////////////////////////////////////////////////////
// Font Awesome Icons
//////////////////////////////////////////////////////////////////
// [fonticon icon="e.g. fa-adjust, fa-heart, fa-book, fa-asterisk more: http://fontawesome.io/icons/" size="e.g. fa-lg, fa-2x, fa-3x, fa-4x, fa-5x" spin="e.g. yes or no" style="" class=""]
add_shortcode('fonticon', 'shortcode_fonticon');
function shortcode_fonticon($atts, $content = null) {
	global $data;

	extract(shortcode_atts(array(
		'icon' => 'fa-heart',
		'size' => '',
		'spin' => '',
		'style' => '',
		'class' => '',
	), $atts));
	
	$size = (!empty($size) && strpos($size,',') == false) ? ' '.$size : '';
	$spin = (!empty($spin) && $spin=='yes' && strpos($spin,'or') == false) ? ' fa-spin' : '';
	$style = (!empty($style)) ? ' style="'.$style.'"' : '';
	$class = (!empty($class )) ? ' '.$class : '';
	
	$icon = (strpos($icon,',') !== false) ? 'fa-heart' : $icon;

	$html = '<i class="fa '.$icon.$size.$spin.$class.'"'.$style.'></i>';

	return $html;
}

//////////////////////////////////////////////////////////////////
// Image Frame
//////////////////////////////////////////////////////////////////
add_shortcode('imageframe', 'shortcode_imageframe');
//[[imageframe src="your_image_path_goes_here" type="rounded, circle, thumbnail, default" class="" alt="image title" align="e.g. left, right" style="" link="#" target="blank, self"]]
function shortcode_imageframe($atts, $content = null) {
	global $data;
	
	$html = '';
	
	extract(shortcode_atts(array(
		'src' => 'http://lorempixel.com/400/200/sports/',
		'type' => 'none',
		'alt' => '',
		'class' => '',
		'align' => 'left',
		'style' => '',
		'link' => '',
		'target' => '',
		'width' => '',
		'height' => '',
	), $atts));

	static $bc_imageframe = 1;

	$src = (!empty($atts['src'])) ? $atts['src'] : 'http://lorempixel.com/400/200/sports/';
	$type = (!empty($atts['type'])) ? $atts['type'] : 'none';
	$alt = (!empty($atts['alt'])) ? $atts['alt'] : '';
	$class = (!empty($atts['class'])) ? $atts['class'] : '';
	$align = (!empty($atts['align']) && strpos($align,',') == false) ? ' pull-'.$atts['align'] : '';
	$style = (!empty($style)) ? ' style="'.$style.'"' : '';
	$link = (!empty($atts['link'])) ? $atts['link'] : '';
	$target = (!empty($atts['link']) && !empty($atts['target']) && strpos($atts['target'],'blank') !== false) ? ' target="_blank"' : '';
	$width = (!empty($atts['width'])) ? $atts['width'] : '';
	$height = (!empty($atts['height'])) ? $atts['height'] : '';

	$html  = '';
	$html .= (!empty($atts['link'])) ? '<a href="'.$link.'"'.$target.'>' : '';
	$html .= (!empty($src)) ? '<img class="img-responsive img-'.$type.' '.$align.' '.$class.'" alt="'.$alt.'" src="'.$src.'"'.$style.' />' : '';
	$html .= (!empty($atts['link'])) ? '</a>' : '';

	$bc_imageframe++;

	return $html;
}

//////////////////////////////////////////////////////////////////
// List
//////////////////////////////////////////////////////////////////
/*[list type="unordered, ordered, unstyled, inline"]
<ul>
	<li>Item #1</li>
	<li>Item #2</li>
	<li>Item #3</li>
</ul>
[/list]*/
add_shortcode('list', 'shortcode_list');
function shortcode_list( $atts, $content = null ) {
	global $data;

	static $list_box_counter = 1;

	extract(shortcode_atts(array(
		'type' => 'unordered',
		'class' => '',
	), $atts));
	
	$html  = '';

	$class = (!empty($class)) ? ' '.$class : '';
	
	if ($type=="unordered") :
		$html .= str_replace('<ul>', '<ul class="unordered'.$class .'">', $content);
	elseif ($type=="ordered") :
		$html .= str_replace('ul>', 'ol>', $content);
	elseif ($type=="unstyled") :
		$html .= str_replace('<ul>', '<ul class="list-unstyled'.$class .'">', $content);
	elseif ($type=="inline") :
		$html .= str_replace('<ul>', '<ul class="list-inline'.$class .'">', $content);
	else:
		$html .= str_replace('<ul>', '<ul class="default'.$class .'">', $content);
	endif;
	
	$html = str_replace('<li>', '<li>', $html);

	$html = do_shortcode($html);
	
	$list_box_counter++;

	return $html;
}

//////////////////////////////////////////////////////////////////
// Pricing Table
//////////////////////////////////////////////////////////////////
/*[pricing_table]

[pricing_column title="e.g. Sample Plan" price="$10" duration="month" link="#" linktarget="e.g. _self, _blank" button_name="Purchase" best_plan="e.g. yes or no" width="e.g. 23%, 49% etc."]

[pricing_option title="Free" desc="example option"]
[pricing_option title="Free" desc="example option"]
[pricing_option title="Free" desc="example option"]
[pricing_option title="Free" desc="example option"]

[/pricing_column]

[/pricing_table]*/
add_shortcode('pricing_table', 'shortcode_pricing_table');
function shortcode_pricing_table( $atts, $content = null ) {
	$html  = '<section id="pricePlans"><ul id="plans">';
	$html .= do_shortcode($content);
	$html .= '</ul></section>';
	
	return $html;
}

/*[pricing_column title="e.g. Sample Plan" price="$10" duration="month" link="#" linktarget="e.g. _self, _blank" button_name="Purchase" best_plan="e.g. yes or no" width="e.g. 23%, 49% etc."]

[pricing_option title="Free" desc="example option"]
[pricing_option title="Free" desc="example option"]
[pricing_option title="Free" desc="example option"]
[pricing_option title="Free" desc="example option"]

[/pricing_column]*/
add_shortcode('pricing_column', 'shortcode_pricing_column');
function shortcode_pricing_column( $atts, $content = null ) {

	extract(shortcode_atts(array(
		'title' => 'Sample Plan',
		'price' => '$10',
		'duration' => 'month',
		'link' => '',
		'linktarget' => '_self',
		'button_name' => 'Purchase',
		'best_plan' => 'no',
		'width' => '',
	), $atts));
	
	$best_plan_title = ($best_plan=='yes') ? ' class="bestPlanTitle"' : '';
	$best_plan_price = ($best_plan=='yes') ? ' class="bestPlanPrice"' : '';
	$best_plan_button = ($best_plan=='yes') ? ' class="bestPlanButton"' : '';

	$width = (!empty($width) && strpos($width,',') == false) ? ' style="width: '.$atts['width'].';"' : '';
	
	$html  = '
	<li class="plan"'.$width.'>
		<ul class="planContainer">
			<li class="title"><h2'.$best_plan_title.'>'.$title.'</h2></li>
			<li class="price"><p'.$best_plan_price.'>'.$price.'/<span>'.$duration.'</span></p></li>
			<li><ul class="options">'.do_shortcode($content).'</ul></li>
			<li class="button"><a'.$best_plan_button.' href="'.$link.'" target="'.$linktarget.'">'.$button_name.'</a></li>
		</ul>
	</li>
	';
	
	return $html;
}

/*[pricing_option title="Free" desc="example option"]*/
add_shortcode('pricing_option', 'shortcode_pricing_option');
function shortcode_pricing_option( $atts, $content = null ) {
	
	extract(shortcode_atts(array(
		'title' => 'Free',
		'desc' => 'example option'
	), $atts));
	
	$html  = '<li>'.$title.' <span>'.$desc.'</span></li>';
	
	return $html;
}

//////////////////////////////////////////////////////////////////
// Social Icons
//////////////////////////////////////////////////////////////////
/*[social_icons]

[social_icon social="e.g. facebook, flickr, rss, twitter, vimeo, youtube, pinterest, tumblr, google, dribbble, digg, linkedin, blogger, skype, forrst, delicious, devianart, yahoo, picasa, email" link="#" linktarget="_self, _blank"]
[social_icon social="e.g. facebook, flickr, rss, twitter, vimeo, youtube, pinterest, tumblr, google, dribbble, digg, linkedin, blogger, skype, forrst, delicious, devianart, yahoo, picasa, email" link="#" linktarget="_self, _blank"]
[social_icon social="e.g. facebook, flickr, rss, twitter, vimeo, youtube, pinterest, tumblr, google, dribbble, digg, linkedin, blogger, skype, forrst, delicious, devianart, yahoo, picasa, email" link="#" linktarget="_self, _blank"]

[/social_icons]*/
add_shortcode('social_icons', 'shortcode_social_icons');
function shortcode_social_icons( $atts, $content = null ) {
	$html  = '<div class="social_icons clearfix">';
	$html .= do_shortcode($content);
	$html .= '</div>';
	
	return $html;
}

// [social_icon social="e.g. facebook, flickr, rss, twitter, vimeo, youtube, pinterest, tumblr, google, dribbble, digg, linkedin, blogger, skype, forrst, delicious, devianart, yahoo, picasa, email" link="#" linktarget="_self, _blank"]
add_shortcode('social_icon', 'shortcode_social_icon');
function shortcode_social_icon($atts, $content = null) {
	global $data;

	extract(shortcode_atts(array(
		'social' => 'facebook',
		'link' => '#',
		'linktarget' => '_blank'
	), $atts));

	$social = (strpos($social,',') !== false) ? 'facebook' : $social;
	$linktarget = (strpos($linktarget,',') !== false) ? '_blank' : $linktarget;

	$html = '<a href="'.$link.'" target="'.$linktarget.'" class="social_icon '.$social.'"></a>';

	return $html;
}

//////////////////////////////////////////////////////////////////
// Gap
//////////////////////////////////////////////////////////////////
// [gap height="40"]
add_shortcode('gap', 'shortcode_gap');
function shortcode_gap($atts) {
	extract( shortcode_atts( array(
		'height' => '40',
	), $atts ) );

	$html = '<div class="gap" style="height: '.$height.'px;"></div>';
	
	return $html;
}

//////////////////////////////////////////////////////////////////
// Separator
//////////////////////////////////////////////////////////////////
// [separator size="1" color="#CCC" top="30" bottom="30" style="solid, dashed, dotted, none, image, gotop, color" gotop_txt="go to top"]
add_shortcode('separator', 'shortcode_separator');
function shortcode_separator($atts) {
	extract( shortcode_atts( array(
		'size' => '1',
		'style' => 'solid',
		'color' => '#d6dadb',
		'top' => '30',
		'bottom' => '30',
		'gotop_txt' => 'go to top',
	), $atts ) );
	
	if (strpos($style,' ') !== false) :
		$style = 'solid';
	endif;
	
	if ($style=='image'):
		$html = "<div class=\"image_divider\" style=\"border-top: none; border-bottom: {$size}px {$style} {$color}; clear: both; margin-top: {$top}px; margin-bottom: {$bottom}px;\"><div></div></div>";
	elseif ($style=='gotop'):
		$html = "<div class=\"gotop_divider\" style=\"border-top: none; border-bottom: {$size}px {$style} {$color}; clear: both; margin-top: {$top}px; margin-bottom: {$bottom}px;\"><a href=\"#\" class=\"back-to-top\"><div>".$gotop_txt."</div></a></div>";
	elseif ($style=='color'):
		$html = "<div class=\"color_divider\" style=\"border-top: none; border-bottom: {$size}px {$style} {$color}; clear: both; margin-top: {$top}px; margin-bottom: {$bottom}px;\"><div></div></div>";
	else:
		$html = "<div style=\"border-top: none; border-bottom: {$size}px {$style} {$color}; clear: both; margin-top: {$top}px; margin-bottom: {$bottom}px;\"></div>";
	endif;
	
	return $html;
}

//////////////////////////////////////////////////////////////////
// Social Sharing Box
//////////////////////////////////////////////////////////////////
// [sharing_box title="Sample Title" link="http://www.google.com" description="Sample description..."]
add_shortcode('sharing_box', 'shortcode_sharing_box');
function shortcode_sharing_box($atts, $content = null) {
	global $data;

	extract(shortcode_atts(array(
		'title' => '',
		'link' => '',
		'description' => '',
	), $atts));
	
	$title = str_replace(' ', '%20', $title);
	
	$social_sharing_box = "\n";
	
	$social_sharing_box .= '<a class="social_icon facebook" href="http://www.facebook.com/sharer.php?u='.$link.'&amp;t='.$title.'" target="_blank"></a> '."\n";
	
	$social_sharing_box .= '<a class="social_icon twitter" href="http://twitter.com/home?status='.$title.'%20'.$link.'" target="_blank"></a> '."\n";
	
	$social_sharing_box .= '<a class="social_icon linkedin" href="http://linkedin.com/shareArticle?mini=true&amp;url='.$link.'&amp;title='.$title.'" target="_blank"></a> '."\n";
	
	$social_sharing_box .= '<a class="social_icon tumblr" href="http://www.tumblr.com/share/link?url='.urlencode($link).'&amp;name='.urlencode($title).'&amp;description='.urlencode($description).'" target="_blank"></a> '."\n";
	
	$social_sharing_box .= '<a class="social_icon google" href="https://plus.google.com/share?url='.$link.'" onclick="javascript:window.open(this.href,
	\'\', \'menubar=no,toolbar=no,resizable=yes,scrollbars=yes,height=600,width=600\');return false;" target="_blank"></a> '."\n";
	
	$social_sharing_box .= '<a class="social_icon pinterest" href="http://pinterest.com/pin/create/button/?url='.urlencode($link).'&amp;description='.urlencode($title).'" target="_blank"></a> '."\n";
	
	$social_sharing_box .= '<a class="social_icon email" href="mailto:?subject='.$title.'&amp;body='.$link.'" target="_blank"></a> '."\n";

	$social_sharing_box .= "\n";
	
	return $social_sharing_box;
}

//////////////////////////////////////////////////////////////////
// Tabs
//////////////////////////////////////////////////////////////////
add_shortcode('tabs', 'shortcode_tabs');
/*[tabs tab1="Tab Name 1" tab2="Tab Name 2" tab3="Tab Name 3" tab4="Tab Name 4" active="tab1"]

[tab id=1 active="yes"]Tab content 1[/tab]
[tab id=2 active="no"]Tab content 2[/tab]
[tab id=3 active="no"]Tab content 3[/tab]
[tab id=4 active="no"]Tab content 4[/tab]

[/tabs]*/
function shortcode_tabs( $atts, $content = null ) {

	extract(shortcode_atts(array(
		'active' => 'tab1',
	), $atts));

	static $tabs_counter = 1;
	
	$html = '';
	$html .= '<ul id="tabs-'.$tabs_counter.'" class="nav nav-tabs">';
	foreach ($atts as $key => $tab) :
		$class_active = ($active==$key) ? ' class="active"' : ''; 
		if($key != 'active') :
			$html .= '<li'.$class_active.'><a href="#' . $key . '" data-toggle="tab">' . $tab . '</a></li>';
		endif;
	endforeach;
	$html .= '</ul>';
	
	$html .= '<div class="tab-content">';

	$html .= do_shortcode($content) .'</div>';

	$tabs_counter++;

	return $html;
}

add_shortcode('tab', 'shortcode_tab');
function shortcode_tab( $atts, $content = null ) {
	extract(shortcode_atts(array(
		'active' => 'no',
	), $atts));
    
	$is_active = ($active=='yes') ? ' active' : '';
	$html = '<div id="tab' . $atts['id'] . '" class="tab-pane fade in'.$is_active.'">' . do_shortcode($content) .'</div>';
	
	return $html;
}

//////////////////////////////////////////////////////////////////
// Tagline box
//////////////////////////////////////////////////////////////////
// [tagline_box type="e.g. 1, 2, 3, 4, 5, 6" link="#" linktarget="e.g. _self, _blank" button_type="mini, small, default, large" button_name="Button Name" style=""]Your content goes here...[/tagline_box]
add_shortcode('tagline_box', 'shortcode_tagline_box');
function shortcode_tagline_box($atts, $content = null) {
	global $data;

	static $tagline_box_counter = 1;

	extract(shortcode_atts(array(
		'type' => '1',
		'link' => '',
		'linktarget' => '_self',
		'button_type' => '',
		'button_name' => '',
		'style' => ''
	), $atts));
	
	$style = (!empty($style)) ? ' style="'.$style.'"' : '';
	
	$type = (strpos($type,',') !== false) ? '1' : $type;
	$linktarget = (strpos($linktarget,',') !== false) ? '_self' : $linktarget;
	$button_type = (strpos($button_type,',') !== false) ? 'default' : $button_type;

	if ($button_type == 'mini') :
		$button_size = ' btn-xs';
	elseif ($button_type =='small') :
		$button_size = ' btn-sm';
	elseif ($button_type =='default') :
		$button_size = '';
	elseif ($button_type =='large') :
		$button_size = ' btn-lg';
	else:
		$button_size = '';
	endif;
	
	$html = '<div class="bc_tagline_box-'.$type.'"'.$style.'>';
	$html .= '<div class="bc_content_tb-'.$type.''.(!empty($button_name) && !empty($link) ? ' with_button' : '').'">'.do_shortcode($content).'</div>';
	$html .= (!empty($button_name) && !empty($link)) ? '<div class="bc_button_tb-'.$type.'"><a href="'.$link.'" target="'.$linktarget.'" class="btn btn-primary'.$button_size.'">'.$button_name.'</a></div>' : '';
	$html .= '</div>';

	$tagline_box_counter++;

	return $html;
}

//////////////////////////////////////////////////////////////////
// Title
//////////////////////////////////////////////////////////////////
// [title size="1 to 6" top="0" bottom="0" class="" style=""]Title[/title]
add_shortcode('title', 'shortcode_title');
function shortcode_title($atts, $content = null) {
	extract(shortcode_atts(array(
		'size' => '4',
		'class' => '',
		'top' => '0',
		'style' => '',
		'bottom' => '0'
	), $atts));

	$class = (!empty($class)) ? ' class="'.$class.'"' : '';
	$style = (!empty($style) || !empty($top) || !empty($bottom)) ? ' style="margin-top: '.$top.'px; margin-bottom: '.$bottom.'px; '.$style.'"' : '';

	$size = (strpos($size,',') !== false || strpos($size,'to') !== false) ? '4' : $size;
	
	$html = '<div class="heading"'.$style.'><h'.$size.''.$class.'>'.do_shortcode($content).'</h'.$size.'></div>';
	return $html;
}

//////////////////////////////////////////////////////////////////
// Tooltip
//////////////////////////////////////////////////////////////////
// [tooltip title="Sample Tooltip" text="Sample Hover Text"]
add_shortcode('tooltip', 'shortcode_tooltip');
function shortcode_tooltip($atts, $content = null) {
	extract(shortcode_atts(array(
		'title' => '',
		'text' => '',
	), $atts));
	
	static $bc_tooltip = 1;

	$html = "<script type='text/javascript'>
	var bt_tooltip_script = jQuery.noConflict();
	bt_tooltip_script(function(){
		bt_tooltip_script('#tooltip-".$bc_tooltip."').tooltip()
	});
	</script>";

	$html .= (!empty($title) && !empty($text)) ? '<a href="#" id="tooltip-'.$bc_tooltip.'" data-toggle="tooltip" title="'.$text.'">'.$title.'</a>' : '';

	$bc_tooltip++;
	
	return $html;
}

//////////////////////////////////////////////////////////////////
// Vimeo
//////////////////////////////////////////////////////////////////
// [vimeo id="Enter video ID (e.g. 10145153)" width="560" height="315"]
add_shortcode('vimeo', 'shortcode_vimeo');
function shortcode_vimeo($atts) {
	
	extract(shortcode_atts(array(
		'id' => '',
		'width' => 560,
		'height' => 315
	), $atts));

		$id = (strpos($id,'Enter video') !== false) ? '10145153' : $id;

		return '<div style="max-width:'.$width.'px;max-height:'.$height.'px;"><div class="video-shortcode"><iframe src="http://player.vimeo.com/video/' . $id . '" width="' . $width . '" height="' . $height . '"></iframe></div></div>';
}
	
//////////////////////////////////////////////////////////////////
// Youtube
//////////////////////////////////////////////////////////////////
// [youtube id="Enter video ID (e.g. Wq4Y7ztznKc)" width="560" height="315"]
add_shortcode('youtube', 'shortcode_youtube');
function shortcode_youtube($atts) {
	extract(shortcode_atts(array(
		'id' => '',
		'width' => 560,
		'height' => 315
	), $atts));
	
		$id = (strpos($id,'Enter video') !== false) ? 'Wq4Y7ztznKc' : $id;

		$html = '<div style="max-width:'.$width.'px;max-height:'.$height.'px;"><div class="video-shortcode"><iframe title="YouTube video player" width="' . $width . '" height="' . $height . '" src="http://www.youtube.com/embed/' . $id . '?wmode=transparent"></iframe></div></div>';

		return $html;
}

//////////////////////////////////////////////////////////////////
// Row
//////////////////////////////////////////////////////////////////
// [row class="" style=""]...[/row]
/*add_shortcode('row', 'shortcode_row');
function shortcode_row($atts, $content = null) {
	extract(shortcode_atts(array(
		'class' => '',
		'style' => ''
	), $atts));
	
	$class = (!empty($class)) ? ' class="'.$class.'"' : '';
	$style = (!empty($style)) ? ' style="'.$style.'"' : '';
	
	$html = '<div'.$class.'>';
	//$html .= '<div class="container">';
	$html .= '<div class="row"'.$style.'>';
	$html .= do_shortcode($content);
	$html .= '</div>';
	//$html .= '</div>';
	$html .= '</div>';

	return $html;
}*/

//////////////////////////////////////////////////////////////////
// section
//////////////////////////////////////////////////////////////////
// [section outer_class="" inner_class="" outer_style="" inner_style=""]...[/section]
add_shortcode('section', 'shortcode_section');
add_shortcode('pre', 'shortcode_section');
function shortcode_section($atts, $content = null) {
	extract(shortcode_atts(array(
		'outer_class' => '',
		'inner_class' => '',
		'outer_style' => '',
		'inner_style' => ''
	), $atts));
	
	$outer_class = (!empty($outer_class)) ? ' class="'.$outer_class.'"' : '';
	$inner_class = (!empty($inner_class)) ? $inner_class : '';
	$outer_style = (!empty($outer_style)) ? ' style="'.$outer_style.'"' : '';
	$inner_style = (!empty($inner_style)) ? ' style="'.$inner_style.'"' : '';
	
	if (
	//strpos($content,'tagline') == false &&
	strpos($content,'How to') == false &&
	(strpos($content,'one_half') !== false || 
	strpos($content,'one_third') !== false || 
	strpos($content,'one_fourth') !== false || 
	strpos($content,'two_third') !== false || 
	strpos($content,'three_fourth') !== false) &&
	(strpos($content,'[[one_half') == false || 
	strpos($content,'[[one_third') == false || 
	strpos($content,'[[one_fourth') == false || 
	strpos($content,'[[two_third') == false || 
	strpos($content,'[[three_fourth') == false)
	) :
		$has_cols = true;
	else:
		$has_cols = false;
	endif;
	
	$inner_class = (!empty($inner_class)) ? ' class="row '.$inner_class.'"' : ' class="row"';
	
	/*<div class="color_orange">
	<div class="container color_pink">
	<div class="row color_red">
	<div class="col-xs-12">
	</div>
	</div>
	</div>
	</div>*/

	$html  = '';
	$html .= '<div'.$outer_class.$outer_style.'>';
	
	$check_cms = 'joomla'; // Options: joomla, wordpress, drupal, html/php 
	if ($check_cms=='wordpress'):
		$html .= (!is_single()) ? '<div class="container">' : '';
	else:
		$html .= '';
	endif;
	
	$html .= '<div'.$inner_class.''.$inner_style.'>';
	$html .= (!$has_cols) ? '<div class="col-xs-12">' : '';
	$html .= do_shortcode($content);
	$html .= (!$has_cols) ? '</div>' : '';
	$html .= '</div>';
	
	if ($check_cms=='wordpress'):
		$html .= (!is_single()) ? '</div>' : ''; //container
	else:
		$html .= '';
	endif;
	
	$html .= '</div>';

	return $html;
}

//////////////////////////////////////////////////////////////////
// Full Width
//////////////////////////////////////////////////////////////////
/*add_shortcode('full_width', 'shortcode_full_width');
function shortcode_full_width($atts, $content = null) {
	extract(shortcode_atts(array(
		'class' => '',
		'style' => ''
	), $atts));
	
	$class = (!empty($class)) ? ' class="'.$class.'"' : '';
	$style = (!empty($style)) ? ' style="'.$style.'"' : '';
	
	$html = '<div'.$class.$style.'>';
	$html .= '<div class="container">';
	$html .= do_shortcode($content);
	$html .= '</div>';
	$html .= '</div>';

	return $html;
}*/

//////////////////////////////////////////////////////////////////
// Column one_half shortcode
//////////////////////////////////////////////////////////////////
add_shortcode('one_half', 'shortcode_one_half');
function shortcode_one_half($atts, $content = null) {
	extract(shortcode_atts(array(
		'class' => '',
		'style' => ''
	), $atts));
	
	$style = (!empty($style)) ? ' style="'.$style.'"' : '';
	
	$html = '<div class="bt_col col-lg-6 col-md-6 col-sm-6 col-xs-12 '.$class.'"'.$style.'>';
	$html .= do_shortcode($content);
	$html .= '</div>';

	return $html;
}
	
//////////////////////////////////////////////////////////////////
// Column one_third shortcode
//////////////////////////////////////////////////////////////////
add_shortcode('one_third', 'shortcode_one_third');
function shortcode_one_third($atts, $content = null) {
	extract(shortcode_atts(array(
		'class' => '',
		'style' => ''
	), $atts));
	
	$style = (!empty($style)) ? ' style="'.$style.'"' : '';
	
	$html = '<div class="bt_col col-lg-4 col-md-4 col-sm-4 col-xs-12 '.$class.'"'.$style.'>';
	$html .= do_shortcode($content);
	$html .= '</div>';

	return $html;
}
	
//////////////////////////////////////////////////////////////////
// Column two_third shortcode
//////////////////////////////////////////////////////////////////
add_shortcode('two_third', 'shortcode_two_third');
function shortcode_two_third($atts, $content = null) {
	extract(shortcode_atts(array(
		'class' => '',
		'style' => ''
	), $atts));
	
	$style = (!empty($style)) ? ' style="'.$style.'"' : '';
	
	$html = '<div class="bt_col col-lg-8 col-md-8 col-sm-8 col-xs-12 '.$class.'"'.$style.'>';
	$html .= do_shortcode($content);
	$html .= '</div>';

	return $html;
}
	
//////////////////////////////////////////////////////////////////
// Column one_fourth shortcode
//////////////////////////////////////////////////////////////////
add_shortcode('one_fourth', 'shortcode_one_fourth');
function shortcode_one_fourth($atts, $content = null) {
	extract(shortcode_atts(array(
		'class' => '',
		'style' => ''
	), $atts));
	
	$style = (!empty($style)) ? ' style="'.$style.'"' : '';
	
	$html = '<div class="bt_col col-lg-3 col-md-3 col-sm-3 col-xs-12 '.$class.'"'.$style.'>';
	$html .= do_shortcode($content);
	$html .= '</div>';

	return $html;
}
	
//////////////////////////////////////////////////////////////////
// Column three_fourth shortcode
//////////////////////////////////////////////////////////////////
add_shortcode('three_fourth', 'shortcode_three_fourth');
function shortcode_three_fourth($atts, $content = null) {
	extract(shortcode_atts(array(
		'class' => '',
		'style' => ''
	), $atts));
	
	$style = (!empty($style)) ? ' style="'.$style.'"' : '';
	
	$html = '<div class="bt_col col-lg-9 col-md-9 col-sm-9 col-xs-12 '.$class.'"'.$style.'>';
	$html .= do_shortcode($content);
	$html .= '</div>';

	return $html;
}
?>
