<?php
defined( '_JEXEC' ) or die( 'Restricted access' );

require_once('elements_helper.php');

jimport('joomla.form.formfield');

class JFormFieldBgimages extends JFormField {
	
	protected $type = 'Bgimages';

	// get params from params.ini
	function getParamsFromIni()
	{
		$params_ini_arr = array();
		$params_ini_arr = parse_ini_file(str_replace('administrator/','',JPATH_THEMES).'/'.getCleanTemplateName().'/params.ini');
		return $params_ini_arr;
	}
	
	protected function getLabel()
	{
		// check if is enabled
		$params_ini_arr = $this->getParamsFromIni();
		$is_bgimages_enabled = ($params_ini_arr['bg_images'] == 1) ? true : false;

		if ($is_bgimages_enabled):
			$html  = '';
			$html .= '<label>'.JText::_('TPL_BT_BG_IMAGES_LBL').'</label>';
		else:
			$html = '';
		endif;
		return $html;
	}
	
	protected function getInput() 
	{
		// check if is enabled
		$params_ini_arr = $this->getParamsFromIni();
		$is_bgimages_enabled = ($params_ini_arr['bg_images'] == 1) ? true : false;
		
		$html = '';
		
		// read all css files from the folder "/bt_template/images/bg_images/"
		$bgimages_folder_path = JPATH_ROOT.'/templates/'.getCleanTemplateName().'/images/bg_images/';
		$files = array();
		if ($handle = opendir($bgimages_folder_path)) :
			while ($entry = readdir($handle)) :
				$ext = pathinfo($entry, PATHINFO_EXTENSION);
				if ($ext=='png' || $ext=='jpg'):
					$file_name_without_ext = str_replace('.png', '', $entry);
					$file_name_without_ext = str_replace('.jpg', '', $file_name_without_ext);
					$files[] = $file_name_without_ext;
				endif;
			endwhile;
			closedir($handle);
		endif;
		sort($files);
		
		if ($is_bgimages_enabled):

			// wide
			$wide  = '';
			$wide .= "<option value='bgimage_only_for_boxed'".(($this->value=='bgimage_only_for_boxed') ? " selected='selected'" : '').">---- Only for Boxed layout ----</option>";

			// container
			$container  = '';
			$container .= "<option value='no_bg_img'".(($this->value=='no_bg_img') ? " selected='selected'" : '').">---- No Background Image ----</option>";
			foreach ($files as $file):
			$container .= "<option value='".$file."'".(($this->value==$file) ? " selected='selected'" : '').">".$file."</option>";
			endforeach;

			// BEGIN: Add Extra Javascript
			$extra_js  = '';
			$extra_js .= '
			var bt_bgimages = jQuery.noConflict();
			bt_bgimages(document).ready(function() {
				bt_bgimages(".bg_layout_type").change(function() {
					var val = bt_bgimages(this).val();
					
					if (val == "wide") {
						bt_bgimages(".bgimages_bglayout").html("'.$wide.'");
					} else if (val == "container") {
						bt_bgimages(".bgimages_bglayout").html("'.$container.'");
					}
				});
			});
			';
			$document = JFactory::getDocument();
			$document->addScriptDeclaration($extra_js);
			// END: Add Extra Javascript


			$html .= '<select id="'.$this->id.'" name="'.$this->name.'" class="bgimages_bglayout">';
			
			if ($this->value != 'bgimage_only_for_boxed'):
				
				$html .= '<option value="no_bg_img"'.(($this->value=='no_bg_img') ? ' selected="selected"' : '').'>No Background Image</option>';
				foreach ($files as $file):
				$html .= '<option value="'.$file.'"'.(($this->value==$file) ? ' selected="selected"' : '').'>'.$file.'</option>';
				endforeach;
			
			elseif ($this->value=='bgimage_only_for_boxed'):
				
				$html .= "<option value=''".(($this->value=='bgimage_only_for_boxed') ? " selected='selected'" : '').">---- Only for Boxed layout ----</option>";

			endif;

			$html .= '</select> ';
			
		endif;
		
		return $html;
	}//endf
}//endclass
?>



