<?php
defined( '_JEXEC' ) or die( 'Restricted access' );

require_once('elements_helper.php');

jimport('joomla.form.formfield');

class JFormFieldBgpatterns extends JFormField {
	
	protected $type = 'Bgpatterns';

	// get params from params.ini
	function getParamsFromIni()
	{
		$params_ini_arr = array();
		$params_ini_arr = parse_ini_file(str_replace('administrator/','',JPATH_THEMES).'/'.getCleanTemplateName().'/params.ini');
		return $params_ini_arr;
	}
	
	protected function getLabel()
	{
		// check if is enabled
		$params_ini_arr = $this->getParamsFromIni();
		$is_bgpatterns_enabled = ($params_ini_arr['bg_patterns'] == 1) ? true : false;

		if ($is_bgpatterns_enabled):
			$html  = '';
			$html .= '<label>'.JText::_('TPL_BT_BG_PATTERNS_LBL').'</label>';
		else:
			$html = '';
		endif;
		return $html;
	}
	
	protected function getInput() 
	{
		// check if is enabled
		$params_ini_arr = $this->getParamsFromIni();
		$is_bgpatterns_enabled = ($params_ini_arr['bg_patterns'] == 1) ? true : false;

		$html = '';
		
		// read all css files from the folder "/bt_template/images/bg_patterns/"
		$bgpatterns_folder_path = JPATH_ROOT.'/templates/'.getCleanTemplateName().'/images/bg_patterns/';
		$files = array();
		if ($handle = opendir($bgpatterns_folder_path)) :
			while ($entry = readdir($handle)) :
				$ext = pathinfo($entry, PATHINFO_EXTENSION);
				if ($ext=='png' || $ext=='jpg'):
					$file_name_without_ext = str_replace('.png', '', $entry);
					$file_name_without_ext = str_replace('.jpg', '', $file_name_without_ext);
					$files[] = $file_name_without_ext;
				endif;
			endwhile;
			closedir($handle);
		endif;
		sort($files);
		
		if ($is_bgpatterns_enabled):

			// wide
			$wide  = '';
			$wide .= "<option value='pattern_only_for_boxed'".(($this->value=='pattern_only_for_boxed') ? " selected='selected'" : '').">---- Only for Boxed layout ----</option>";

			// container
			$container  = '';
			$container .= "<option value='no_pattern'".(($this->value=='no_pattern') ? " selected='selected'" : '').">---- No Pattern ----</option>";
			foreach ($files as $file):
			$container .= "<option value='".$file."'".(($this->value==$file) ? " selected='selected'" : '').">".$file."</option>";
			endforeach;

			// BEGIN: Add Extra Javascript
			$extra_js  = '';
			$extra_js .= '
			var bt_bgpatterns = jQuery.noConflict();
			bt_bgpatterns(document).ready(function() {
				bt_bgpatterns(".bg_layout_type").change(function() {
					var val = bt_bgpatterns(this).val();
					
					if (val == "wide") {
						bt_bgpatterns(".bgpatterns_bglayout").html("'.$wide.'");
					} else if (val == "container") {
						bt_bgpatterns(".bgpatterns_bglayout").html("'.$container.'");
					}
				});
			});
			';
			$document = JFactory::getDocument();
			$document->addScriptDeclaration($extra_js);
			// END: Add Extra Javascript

			$html .= '<select id="'.$this->id.'" name="'.$this->name.'" class="bgpatterns_bglayout">';
			
			if ($this->value != 'pattern_only_for_boxed'):
				
				$html .= '<option value="no_pattern"'.(($this->value=='no_pattern') ? ' selected="selected"' : '').'>No Pattern</option>';
				foreach ($files as $file):
				$html .= '<option value="'.$file.'"'.(($this->value==$file) ? ' selected="selected"' : '').'>'.$file.'</option>';
				endforeach;
			
			elseif ($this->value=='pattern_only_for_boxed'):
				
				$html .= "<option value=''".(($this->value=='pattern_only_for_boxed') ? " selected='selected'" : '').">---- Only for Boxed layout ----</option>";

			endif;

			$html .= '</select> ';
		endif;
		
		return $html;
	}//endf
}//endclass
?>



