<?php
defined('JPATH_BASE') or die;

require_once('elements_helper.php');

jimport('joomla.form.formfield');

class JFormFieldImport extends JFormField {
	protected $type = 'Import';
	
	// check if k2 is enabled
	function componentExists($component)
	{
		$db = JFactory::getDBO();	
		$query = "SELECT extension_id FROM #__extensions WHERE enabled=1 && element = '".$component."'"; 
		$db->setQuery($query); 
		$db->query(); 
		echo $this->sqlLogs($db); 
		$k2_enabled = count($db->loadResult());
		
		if ($k2_enabled>0):
			return true;
		else:
			return false;
		endif;
	}
	

	function sqlLogs($db)
	{
		// debugging
		$debug = JRequest::getVar('debug'); // $debug = true;
		$db_error_message = $db->stderr();
		$sql_logs = ($debug && $db_error_message != 'DB function reports no errors') ? '<p>'.$db->stderr().'</p>' : '';
		
		return $sql_logs;
	}
	
	protected function getInput() {
	
	  // BEGIN: if BonusFramework plugin is enabled
	  jimport('joomla.plugin.helper');
	  if(JPluginHelper::isEnabled('system', 'bonusframework')):

		// connect to database
		$db = JFactory::getDBO();	
		
		// message
		$import_message = '';
		$remove_message = '';
		
		$get_sample_content = JRequest::getVar('sample_content');
		$get_import_type = JRequest::getVar('import_type');
				
		// BEGIN: display import/delete links only if &bt_import=true
		$display_sample_content_links = JRequest::getVar('bt_import');
		if ($display_sample_content_links=='true'):
			echo '<div class="sample_content">';
		endif;
		// END: display import/delete links only if &bt_import=true

		// SQL data
		require_once(BONUS_ELEMENTS_PATH.'/sql/sql_data.php');
		
		/////////////////////////////////////////////// IMPORT ///////////////////////////////////////////////
		if ($get_sample_content=='import'):
			
			$import_message = '';
			
			// INSERT sample content
			
			// #__menu_types
			// delete first
			$query = 'DELETE FROM #__menu_types WHERE menutype = "btmenu"'; $db->setQuery($query); $db->query(); echo $this->sqlLogs($db);
			// then insert
			$query = 'INSERT INTO #__menu_types (menutype, title, description) VALUES ("btmenu", "BT Menu", "The bt menu for the demo site")'; $db->setQuery($query); $db->query();  echo $this->sqlLogs($db);
			
			
			// #__modules
			// delete first
			$query = 'DELETE FROM #__modules WHERE title = "BT Menu"'; $db->setQuery($query); $db->query(); echo $this->sqlLogs($db);
			// then insert
			$query = 'INSERT INTO #__modules (title, position, published, module, access, showtitle, params, client_id, language) VALUES ("BT Menu", "header1", 1, "mod_menu", 1, 0, "{\"menutype\":\"btmenu\",\"startLevel\":\"1\",\"endLevel\":\"0\",\"showAllChildren\":\"1\",\"tag_id\":\"bt_nav_menu\",\"class_sfx\":\"\",\"window_open\":\"\",\"layout\":\"_:default\",\"moduleclass_sfx\":\"_bt_nav_menu\",\"cache\":\"1\",\"cache_time\":\"900\",\"cachemode\":\"itemid\"}", 0, "*")'; $db->setQuery($query); $db->query();  echo $this->sqlLogs($db);
			
			// #__modules_menu
			// find the moduleid
			$query = "SELECT id FROM #__modules WHERE title = 'BT Menu'"; $db->setQuery($query); $db->query(); echo $this->sqlLogs($db); $module_id = $db->loadResult();
			// delete first
			$query = 'DELETE FROM #__modules_menu WHERE moduleid = "'.$module_id.'"'; $db->setQuery($query); $db->query(); echo $this->sqlLogs($db);
			// then insert
			$query = 'INSERT INTO #__modules_menu (moduleid, menuid) VALUES ("'.$module_id.'", 0)'; $db->setQuery($query); $db->query(); echo $this->sqlLogs($db);
			
			// display message
			$import_message .= '<p class="bt_message">Congratulations! You have add the sample content successfully. (MENU ITEMS general tables)</p>'; 
			
			// #__users
			// find the user_id before delete
			$query = "SELECT id FROM #__users WHERE name = 'Nick Papadopoulos' AND username = 'nick'"; $db->setQuery($query); $db->query(); $nick_id_before_delete = $db->loadResult(); echo $this->sqlLogs($db);
			$query = "SELECT id FROM #__users WHERE name = 'George Nicolaou' AND username = 'george'"; $db->setQuery($query); $db->query(); $george_id_before_delete = $db->loadResult(); echo $this->sqlLogs($db);
			$query = "SELECT id FROM #__users WHERE name = 'Petros Georgiou' AND username = 'petros'"; $db->setQuery($query); $db->query(); $petros_id_before_delete = $db->loadResult(); echo $this->sqlLogs($db);
			$query = "SELECT id FROM #__users WHERE name = 'John Thomson' AND username = 'john'"; $db->setQuery($query); $db->query(); $john_id_before_delete = $db->loadResult(); echo $this->sqlLogs($db);
			$query = "SELECT id FROM #__users WHERE name = 'Katerina James' AND username = 'katerina'"; $db->setQuery($query); $db->query(); $katerina_id_before_delete = $db->loadResult(); echo $this->sqlLogs($db);
			$query = "SELECT id FROM #__users WHERE name = 'Paul Christodoulou' AND username = 'paul'"; $db->setQuery($query); $db->query(); $paul_id_before_delete = $db->loadResult(); echo $this->sqlLogs($db);
			
			// is k2 enabled?
			$query = "SELECT extension_id FROM #__extensions WHERE element = 'com_k2'"; $db->setQuery($query); $db->query(); echo $this->sqlLogs($db); $com_k2_id = $db->loadResult();
			
			// #__k2_users
			if ($com_k2_id != ''):
			// find the user_id before delete
			$query = "SELECT id FROM #__k2_users WHERE userName = 'Nick Papadopoulos'"; $db->setQuery($query); $db->query(); $k2_nick_id_before_delete = $db->loadResult(); echo $this->sqlLogs($db);
			$query = "SELECT id FROM #__k2_users WHERE userName = 'George Nicolaou'"; $db->setQuery($query); $db->query(); $k2_george_id_before_delete = $db->loadResult(); echo $this->sqlLogs($db);
			$query = "SELECT id FROM #__k2_users WHERE userName = 'Petros Georgiou'"; $db->setQuery($query); $db->query(); $k2_petros_id_before_delete = $db->loadResult(); echo $this->sqlLogs($db);
			$query = "SELECT id FROM #__k2_users WHERE userName = 'John Thomson'"; $db->setQuery($query); $db->query(); $k2_john_id_before_delete = $db->loadResult(); echo $this->sqlLogs($db);
			$query = "SELECT id FROM #__k2_users WHERE userName = 'Katerina James'"; $db->setQuery($query); $db->query(); $k2_katerina_id_before_delete = $db->loadResult(); echo $this->sqlLogs($db);
			$query = "SELECT id FROM #__k2_users WHERE userName = 'Paul Christodoulou'"; $db->setQuery($query); $db->query(); $k2_paul_id_before_delete = $db->loadResult(); echo $this->sqlLogs($db);
			endif;
			
			// delete #__users first
			$query = 'DELETE FROM #__users WHERE name = "Nick Papadopoulos"'; $db->setQuery($query); $db->query(); echo $this->sqlLogs($db);
			$query = 'DELETE FROM #__users WHERE name = "George Nicolaou"'; $db->setQuery($query); $db->query(); echo $this->sqlLogs($db);
			$query = 'DELETE FROM #__users WHERE name = "Petros Georgiou"'; $db->setQuery($query); $db->query(); echo $this->sqlLogs($db);
			$query = 'DELETE FROM #__users WHERE name = "John Thomson"'; $db->setQuery($query); $db->query(); echo $this->sqlLogs($db);
			$query = 'DELETE FROM #__users WHERE name = "Katerina James"'; $db->setQuery($query); $db->query(); echo $this->sqlLogs($db);
			$query = 'DELETE FROM #__users WHERE name = "Paul Christodoulou"'; $db->setQuery($query); $db->query(); echo $this->sqlLogs($db);
			
			// delete #__k2_users first
			if ($com_k2_id != ''):
			$query = 'DELETE FROM #__k2_users WHERE userName = "Nick Papadopoulos"'; $db->setQuery($query); $db->query(); echo $this->sqlLogs($db);
			$query = 'DELETE FROM #__k2_users WHERE userName = "George Nicolaou"'; $db->setQuery($query); $db->query(); echo $this->sqlLogs($db);
			$query = 'DELETE FROM #__k2_users WHERE userName = "Petros Georgiou"'; $db->setQuery($query); $db->query(); echo $this->sqlLogs($db);
			$query = 'DELETE FROM #__k2_users WHERE userName = "John Thomson"'; $db->setQuery($query); $db->query(); echo $this->sqlLogs($db);
			$query = 'DELETE FROM #__k2_users WHERE userName = "Katerina James"'; $db->setQuery($query); $db->query(); echo $this->sqlLogs($db);
			$query = 'DELETE FROM #__k2_users WHERE userName = "Paul Christodoulou"'; $db->setQuery($query); $db->query(); echo $this->sqlLogs($db);
			endif;
			
			// then insert #__users
			$query = 'INSERT INTO `#__users` (`name`, `username`, `email`, `password`, `block`, `sendEmail`, `registerDate`, `lastvisitDate`, `activation`, `params`, `lastResetTime`, `resetCount`) VALUES
(\'Nick Papadopoulos\', \'nick\', \'nick@bonusthemes.com\', \'$P$DUouqcJGDz08pHQKFubY16Z8bt2SiF0\', 0, 0, \'2012-10-15 15:53:03\', \'2013-02-08 09:58:03\', \'\', \'{"admin_style":"","admin_language":"","language":"","editor":"","helpsite":"","timezone":""}\', \'0000-00-00 00:00:00\', 0),
(\'George Nicolaou\', \'george\', \'george@bonusthemes.com\', \'$P$DUouqcJGDz08pHQKFubY16Z8bt2SiF0\', 0, 0, \'2012-10-15 15:53:36\', \'2013-02-08 09:20:05\', \'\', \'{"admin_style":"","admin_language":"","language":"","editor":"","helpsite":"","timezone":""}\', \'0000-00-00 00:00:00\', 0),
(\'Petros Georgiou\', \'petros\', \'petros@bonusthemes.com\', \'$P$DUouqcJGDz08pHQKFubY16Z8bt2SiF0\', 0, 0, \'2012-10-15 15:54:05\', \'2013-02-08 09:20:23\', \'\', \'{"admin_style":"","admin_language":"","language":"","editor":"","helpsite":"","timezone":""}\', \'0000-00-00 00:00:00\', 0),
(\'John Thomson\', \'john\', \'john@bonusthemes.com\', \'$P$DUouqcJGDz08pHQKFubY16Z8bt2SiF0\', 0, 0, \'2012-10-15 15:54:35\', \'2013-02-08 09:22:53\', \'\', \'{"admin_style":"","admin_language":"","language":"","editor":"","helpsite":"","timezone":""}\', \'0000-00-00 00:00:00\', 0),
(\'Katerina James\', \'katerina\', \'katerina@bonusthemes.com\', \'$P$DUouqcJGDz08pHQKFubY16Z8bt2SiF0\', 0, 0, \'2012-10-15 15:55:21\', \'2012-10-15 17:05:28\', \'\', \'{"admin_style":"","admin_language":"","language":"","editor":"","helpsite":"","timezone":""}\', \'0000-00-00 00:00:00\', 0),
(\'Paul Christodoulou\', \'paul\', \'paul@bonusthemes.com\', \'$P$DUouqcJGDz08pHQKFubY16Z8bt2SiF0\', 0, 0, \'2012-10-15 15:55:52\', \'2013-02-08 09:22:00\', \'\', \'{"admin_style":"","admin_language":"","language":"","editor":"","helpsite":"","timezone":""}\', \'0000-00-00 00:00:00\', 0);'; $db->setQuery($query); $db->query(); echo $this->sqlLogs($db);

			// #__users
			// find the user_id before insert
			$query = "SELECT id FROM #__users WHERE name = 'Nick Papadopoulos' AND username = 'nick'"; $db->setQuery($query); $db->query(); $nick_id_before_insert = $db->loadResult(); echo $this->sqlLogs($db);
			$query = "SELECT id FROM #__users WHERE name = 'George Nicolaou' AND username = 'george'"; $db->setQuery($query); $db->query(); $george_id_before_insert = $db->loadResult(); echo $this->sqlLogs($db);
			$query = "SELECT id FROM #__users WHERE name = 'Petros Georgiou' AND username = 'petros'"; $db->setQuery($query); $db->query(); $petros_id_before_insert = $db->loadResult(); echo $this->sqlLogs($db);
			$query = "SELECT id FROM #__users WHERE name = 'John Thomson' AND username = 'john'"; $db->setQuery($query); $db->query(); $john_id_before_insert = $db->loadResult(); echo $this->sqlLogs($db);
			$query = "SELECT id FROM #__users WHERE name = 'Katerina James' AND username = 'katerina'"; $db->setQuery($query); $db->query(); $katerina_id_before_insert = $db->loadResult(); echo $this->sqlLogs($db);
			$query = "SELECT id FROM #__users WHERE name = 'Paul Christodoulou' AND username = 'paul'"; $db->setQuery($query); $db->query(); $paul_id_before_insert = $db->loadResult(); echo $this->sqlLogs($db);

			// then insert #__k2_users
			if ($com_k2_id != ''):
			$query = 'INSERT INTO `#__k2_users` (`userID`, `userName`, `gender`, `description`, `image`, `url`, `group`) VALUES
			('.$nick_id_before_insert.', \'Nick Papadopoulos\', \'m\', \'Vestibulum mollis enim lacus. Maecenas adipiscing, quam in euismod consequat, metus erat ultrices nulla, et adipiscing odio elit eget neque. Proin vulputate fringilla arcu ut pretium.\', \'Nick_Papadopoulos.jpg\', \'http://www.bonusthemes.com\', \'1\'),
			('.$george_id_before_insert.', \'George Nicolaou\', \'m\', \'Donec vulputate, nulla vel hendrerit facilisis, tellus est hendrerit sem, quis congue ligula velit eu nisl.\', \'George_Nicolaou.jpg\', \'http://www.bonusthemes.com\', \'1\'),
			('.$john_id_before_insert.', \'John Thomson\', \'m\', \'Quisque ut nulla tristique, blandit metus vitae, imperdiet turpis. Nunc bibendum nulla augue, tempus egestas quam dapibus vitae.\', \'John_Thomson.jpg\', \'http://www.bonusthemes.com\', \'1\'),
			('.$katerina_id_before_insert.', \'Katerina James\', \'f\', \'Ut eu aliquam odio, quis malesuada dolor. Pellentesque vel tempor mauris.\', \'Katerina_James.jpg\', \'http://www.bonusthemes.com\', \'1\'),
			('.$paul_id_before_insert.', \'Paul Christodoulou\', \'m\', \'Nulla commodo ante sit amet elit tincidunt dictum. Curabitur pellentesque orci sed est consectetur pulvinar.\', \'Paul_Christodoulou.jpg\', \'http://www.bonusthemes.com\', \'1\'),
			('.$petros_id_before_insert.', \'Petros Georgiou\', \'m\', \'Integer tempor, leo a vestibulum sodales, ligula erat gravida metus, mollis mollis metus ipsum id diam. Curabitur quis cursus dui. Praesent dolor orci, lobortis non convallis sed, venenatis at elit.\', \'Petros_Georgiou.jpg\', \'http://www.bonusthemes.com\', \'1\');
			'; $db->setQuery($query); $db->query(); echo $this->sqlLogs($db);
			endif;
			
			// #__user_usergroup_map
			// find the user_id
			$query = "SELECT id FROM #__users WHERE name = 'Nick Papadopoulos' AND username = 'nick'"; $db->setQuery($query); $db->query(); $nick_id = $db->loadResult(); echo $this->sqlLogs($db);
			$query = "SELECT id FROM #__users WHERE name = 'George Nicolaou' AND username = 'george'"; $db->setQuery($query); $db->query(); $george_id = $db->loadResult(); echo $this->sqlLogs($db);
			$query = "SELECT id FROM #__users WHERE name = 'Petros Georgiou' AND username = 'petros'"; $db->setQuery($query); $db->query(); $petros_id = $db->loadResult(); echo $this->sqlLogs($db);
			$query = "SELECT id FROM #__users WHERE name = 'John Thomson' AND username = 'john'"; $db->setQuery($query); $db->query(); $john_id = $db->loadResult(); echo $this->sqlLogs($db);
			$query = "SELECT id FROM #__users WHERE name = 'Katerina James' AND username = 'katerina'"; $db->setQuery($query); $db->query(); $katerina_id = $db->loadResult(); echo $this->sqlLogs($db);
			$query = "SELECT id FROM #__users WHERE name = 'Paul Christodoulou' AND username = 'paul'"; $db->setQuery($query); $db->query(); $paul_id = $db->loadResult(); echo $this->sqlLogs($db);
			// delete first
			$query = 'DELETE FROM #__user_usergroup_map WHERE user_id = "'.$nick_id_before_delete.'"'; $db->setQuery($query); $db->query(); echo $this->sqlLogs($db);
			$query = 'DELETE FROM #__user_usergroup_map WHERE user_id = "'.$george_id_before_delete.'"'; $db->setQuery($query); $db->query(); echo $this->sqlLogs($db);
			$query = 'DELETE FROM #__user_usergroup_map WHERE user_id = "'.$petros_id_before_delete.'"'; $db->setQuery($query); $db->query(); echo $this->sqlLogs($db);
			$query = 'DELETE FROM #__user_usergroup_map WHERE user_id = "'.$john_id_before_delete.'"'; $db->setQuery($query); $db->query(); echo $this->sqlLogs($db);
			$query = 'DELETE FROM #__user_usergroup_map WHERE user_id = "'.$katerina_id_before_delete.'"'; $db->setQuery($query); $db->query(); echo $this->sqlLogs($db);
			$query = 'DELETE FROM #__user_usergroup_map WHERE user_id = "'.$paul_id_before_delete.'"'; $db->setQuery($query); $db->query(); echo $this->sqlLogs($db);
			// then insert
			$query = 'INSERT INTO #__user_usergroup_map (user_id, group_id) VALUES ("'.$nick_id.'", 2)'; $db->setQuery($query); $db->query(); echo $this->sqlLogs($db);
			$query = 'INSERT INTO #__user_usergroup_map (user_id, group_id) VALUES ("'.$george_id.'", 2)'; $db->setQuery($query); $db->query(); echo $this->sqlLogs($db);
			$query = 'INSERT INTO #__user_usergroup_map (user_id, group_id) VALUES ("'.$petros_id.'", 2)'; $db->setQuery($query); $db->query(); echo $this->sqlLogs($db);
			$query = 'INSERT INTO #__user_usergroup_map (user_id, group_id) VALUES ("'.$john_id.'", 2)'; $db->setQuery($query); $db->query(); echo $this->sqlLogs($db);
			$query = 'INSERT INTO #__user_usergroup_map (user_id, group_id) VALUES ("'.$katerina_id.'", 2)'; $db->setQuery($query); $db->query(); echo $this->sqlLogs($db);
			$query = 'INSERT INTO #__user_usergroup_map (user_id, group_id) VALUES ("'.$paul_id.'", 2)'; $db->setQuery($query); $db->query(); echo $this->sqlLogs($db);
		
			// #__categories
			// delete first
			$query = 'DELETE FROM #__categories WHERE title = "BT Sample Category 1" AND extension="com_content"'; $db->setQuery($query); $db->query(); echo $this->sqlLogs($db);
			$query = 'DELETE FROM #__categories WHERE title = "BT Sample Category 2" AND extension="com_content"'; $db->setQuery($query); $db->query(); echo $this->sqlLogs($db);
			$query = 'DELETE FROM #__categories WHERE title = "BT Sample Category 3" AND extension="com_content"'; $db->setQuery($query); $db->query(); echo $this->sqlLogs($db);
			$query = 'DELETE FROM #__categories WHERE title = "BT Sub Sample Category 1a" AND extension="com_content"'; $db->setQuery($query); $db->query(); echo $this->sqlLogs($db);
			$query = 'DELETE FROM #__categories WHERE title = "BT Sub Sample Category 2a" AND extension="com_content"'; $db->setQuery($query); $db->query(); echo $this->sqlLogs($db);
			$query = 'DELETE FROM #__categories WHERE title = "BT Sub Sample Category 1b" AND extension="com_content"'; $db->setQuery($query); $db->query(); echo $this->sqlLogs($db);
			$query = 'DELETE FROM #__categories WHERE title = "BT Sub Sample Category 2b" AND extension="com_content"'; $db->setQuery($query); $db->query(); echo $this->sqlLogs($db);
			$query = 'DELETE FROM #__categories WHERE title = "BT Sub Sample Category 1c" AND extension="com_content"'; $db->setQuery($query); $db->query(); echo $this->sqlLogs($db);
			$query = 'DELETE FROM #__categories WHERE title = "BT Sub Sample Category 2c" AND extension="com_content"'; $db->setQuery($query); $db->query(); echo $this->sqlLogs($db);
			$query = 'DELETE FROM #__categories WHERE title = "Joomla" AND extension="com_weblinks"'; $db->setQuery($query); $db->query(); echo $this->sqlLogs($db);
			$query = 'DELETE FROM #__categories WHERE title = "Apple" AND extension="com_weblinks"'; $db->setQuery($query); $db->query(); echo $this->sqlLogs($db);
			$query = 'DELETE FROM #__categories WHERE title = "Google" AND extension="com_weblinks"'; $db->setQuery($query); $db->query(); echo $this->sqlLogs($db);
			$query = 'DELETE FROM #__categories WHERE title = "FIFA news" AND extension="com_newsfeeds"'; $db->setQuery($query); $db->query(); echo $this->sqlLogs($db);
			$query = 'DELETE FROM #__categories WHERE title = "UEFA news" AND extension="com_newsfeeds"'; $db->setQuery($query); $db->query(); echo $this->sqlLogs($db);
			$query = 'DELETE FROM #__categories WHERE title = "BBC news" AND extension="com_newsfeeds"'; $db->setQuery($query); $db->query(); echo $this->sqlLogs($db);
			$query = 'DELETE FROM #__categories WHERE title = "CNN news" AND extension="com_newsfeeds"'; $db->setQuery($query); $db->query(); echo $this->sqlLogs($db);
			$query = 'DELETE FROM #__categories WHERE title = "Support Department" AND extension="com_contact"'; $db->setQuery($query); $db->query(); echo $this->sqlLogs($db);
			$query = 'DELETE FROM #__categories WHERE title = "Sales Department" AND extension="com_contact"'; $db->setQuery($query); $db->query(); echo $this->sqlLogs($db);
			
			#__assets
			// delete first
			$query = 'DELETE FROM #__assets WHERE title = "BT Sample Category 1"'; $db->setQuery($query); $db->query(); echo $this->sqlLogs($db);
			$query = 'DELETE FROM #__assets WHERE title = "BT Sample Category 2"'; $db->setQuery($query); $db->query(); echo $this->sqlLogs($db);
			$query = 'DELETE FROM #__assets WHERE title = "BT Sample Category 3"'; $db->setQuery($query); $db->query(); echo $this->sqlLogs($db);
			$query = 'DELETE FROM #__assets WHERE title = "BT Sub Sample Category 1a"'; $db->setQuery($query); $db->query(); echo $this->sqlLogs($db);
			$query = 'DELETE FROM #__assets WHERE title = "BT Sub Sample Category 2a"'; $db->setQuery($query); $db->query(); echo $this->sqlLogs($db);
			$query = 'DELETE FROM #__assets WHERE title = "BT Sub Sample Category 1b"'; $db->setQuery($query); $db->query(); echo $this->sqlLogs($db);
			$query = 'DELETE FROM #__assets WHERE title = "BT Sub Sample Category 2b"'; $db->setQuery($query); $db->query(); echo $this->sqlLogs($db);
			$query = 'DELETE FROM #__assets WHERE title = "BT Sub Sample Category 1c"'; $db->setQuery($query); $db->query(); echo $this->sqlLogs($db);
			$query = 'DELETE FROM #__assets WHERE title = "BT Sub Sample Category 2c"'; $db->setQuery($query); $db->query(); echo $this->sqlLogs($db);

			// get next id from assets table
			$query = "SELECT MAX(id) FROM #__assets"; $db->setQuery($query); $db->query(); $next_assets_id = $db->loadResult(); echo $this->sqlLogs($db);
			
			// #__categories
			// then insert parent categories
			// BT Sample Category 1
			$query = "INSERT INTO #__categories (`asset_id`, `parent_id`, `level`, `path`, `extension`, `title`, `alias`, `note`, `description`, `published`, `checked_out`, `checked_out_time`, `access`, `params`, `metadesc`, `metakey`, `metadata`, `created_user_id`, `created_time`, `modified_user_id`, `modified_time`, `hits`, `language`) VALUES (".($next_assets_id + 1).", 1, 1, 'bt-sample-category-1', 'com_content', 'BT Sample Category 1', 'bt-sample-category-1', '', '<p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. In nec ultrices augue. Cras libero ligula, faucibus non commodo eu, ultrices id sem. Nullam viverra arcu sit amet libero sodales vulputate. Vivamus lacus nibh, dictum sed blandit eget, rutrum id erat. Nulla facilisi. Nulla facilisi. Donec ac nisi eros. Nulla facilisis urna vitae ipsum imperdiet a congue nunc suscipit. In hac habitasse platea dictumst. Nam sapien tellus, tempor non sagittis id, laoreet sit amet ligula. Vivamus mauris ligula, scelerisque vitae interdum ut, posuere sit amet eros. Donec risus est, vestibulum at iaculis interdum, dictum ac massa.</p>', 1, 0, '0000-00-00 00:00:00', 1, '{\"category_layout\":\"\",\"image\":\"\"}', '', '', '{\"author\":\"\",\"robots\":\"\"}', 890, '2014-02-13 16:20:55', 890, '2014-02-13 16:26:17', 0, '*')"; $db->setQuery($query); $db->query(); echo $this->sqlLogs($db);

			// get parent categories id
			$query = "SELECT id FROM #__categories WHERE title = 'BT Sample Category 1' AND extension='com_content'"; $db->setQuery($query); $db->query(); $sample_category_1_id = $db->loadResult(); echo $this->sqlLogs($db);
				
			// BT Sub Sample Category 1a
			$query = "INSERT INTO #__categories (`asset_id`, `parent_id`, `level`, `path`, `extension`, `title`, `alias`, `note`, `description`, `published`, `checked_out`, `checked_out_time`, `access`, `params`, `metadesc`, `metakey`, `metadata`, `created_user_id`, `created_time`, `modified_user_id`, `modified_time`, `hits`, `language`) VALUES (".($next_assets_id + 2).", ".$sample_category_1_id.", 2, 'bt-sample-category-1/bt-sub-sample-category-1a', 'com_content', 'BT Sub Sample Category 1a', 'bt-sub-sample-category-1a', '', '<p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. In nec ultrices augue. Cras libero ligula, faucibus non commodo eu, ultrices id sem. Nullam viverra arcu sit amet libero sodales vulputate. Vivamus lacus nibh, dictum sed blandit eget, rutrum id erat. Nulla facilisi. Nulla facilisi. Donec ac nisi eros. Nulla facilisis urna vitae ipsum imperdiet a congue nunc suscipit. In hac habitasse platea dictumst. Nam sapien tellus, tempor non sagittis id, laoreet sit amet ligula. Vivamus mauris ligula, scelerisque vitae interdum ut, posuere sit amet eros. Donec risus est, vestibulum at iaculis interdum, dictum ac massa.</p>', 1, 0, '0000-00-00 00:00:00', 1, '{\"category_layout\":\"\",\"image\":\"\"}', '', '', '{\"author\":\"\",\"robots\":\"\"}', 890, '2014-02-13 16:21:04', 890, '2014-02-13 16:26:22', 0, '*')"; $db->setQuery($query); $db->query(); echo $this->sqlLogs($db);

			// BT Sub Sample Category 2a
			$query = "INSERT INTO #__categories (`asset_id`, `parent_id`, `level`, `path`, `extension`, `title`, `alias`, `note`, `description`, `published`, `checked_out`, `checked_out_time`, `access`, `params`, `metadesc`, `metakey`, `metadata`, `created_user_id`, `created_time`, `modified_user_id`, `modified_time`, `hits`, `language`) VALUES (".($next_assets_id + 3).", ".$sample_category_1_id.", 2, 'bt-sample-category-1/bt-sub-sample-category-2a', 'com_content', 'BT Sub Sample Category 2a', 'bt-sub-sample-category-2a', '', '<p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. In nec ultrices augue. Cras libero ligula, faucibus non commodo eu, ultrices id sem. Nullam viverra arcu sit amet libero sodales vulputate. Vivamus lacus nibh, dictum sed blandit eget, rutrum id erat. Nulla facilisi. Nulla facilisi. Donec ac nisi eros. Nulla facilisis urna vitae ipsum imperdiet a congue nunc suscipit. In hac habitasse platea dictumst. Nam sapien tellus, tempor non sagittis id, laoreet sit amet ligula. Vivamus mauris ligula, scelerisque vitae interdum ut, posuere sit amet eros. Donec risus est, vestibulum at iaculis interdum, dictum ac massa.</p>', 1, 0, '0000-00-00 00:00:00', 1, '{\"category_layout\":\"\",\"image\":\"\"}', '', '', '{\"author\":\"\",\"robots\":\"\"}', 890, '2014-02-13 16:21:04', 890, '2014-02-13 16:26:22', 0, '*')"; $db->setQuery($query); $db->query(); echo $this->sqlLogs($db);


			// BT Sample Category 2
			$query = "INSERT INTO #__categories (`asset_id`, `parent_id`, `level`, `path`, `extension`, `title`, `alias`, `note`, `description`, `published`, `checked_out`, `checked_out_time`, `access`, `params`, `metadesc`, `metakey`, `metadata`, `created_user_id`, `created_time`, `modified_user_id`, `modified_time`, `hits`, `language`) VALUES (".($next_assets_id + 4).", 1, 1, 'bt-sample-category-2', 'com_content', 'BT Sample Category 2', 'bt-sample-category-2', '', '<p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. In nec ultrices augue. Cras libero ligula, faucibus non commodo eu, ultrices id sem. Nullam viverra arcu sit amet libero sodales vulputate. Vivamus lacus nibh, dictum sed blandit eget, rutrum id erat. Nulla facilisi. Nulla facilisi. Donec ac nisi eros. Nulla facilisis urna vitae ipsum imperdiet a congue nunc suscipit. In hac habitasse platea dictumst. Nam sapien tellus, tempor non sagittis id, laoreet sit amet ligula. Vivamus mauris ligula, scelerisque vitae interdum ut, posuere sit amet eros. Donec risus est, vestibulum at iaculis interdum, dictum ac massa.</p>', 1, 0, '0000-00-00 00:00:00', 1, '{\"category_layout\":\"\",\"image\":\"\"}', '', '', '{\"author\":\"\",\"robots\":\"\"}', 890, '2014-02-13 16:20:55', 890, '2014-02-13 16:26:17', 0, '*')"; $db->setQuery($query); $db->query(); echo $this->sqlLogs($db);

			// get parent categories id
			$query = "SELECT id FROM #__categories WHERE title = 'BT Sample Category 2' AND extension='com_content'"; $db->setQuery($query); $db->query(); $sample_category_2_id = $db->loadResult(); echo $this->sqlLogs($db);
				
			// BT Sub Sample Category 1b
			$query = "INSERT INTO #__categories (`asset_id`, `parent_id`, `level`, `path`, `extension`, `title`, `alias`, `note`, `description`, `published`, `checked_out`, `checked_out_time`, `access`, `params`, `metadesc`, `metakey`, `metadata`, `created_user_id`, `created_time`, `modified_user_id`, `modified_time`, `hits`, `language`) VALUES (".($next_assets_id + 5).", ".$sample_category_2_id.", 2, 'bt-sample-category-2/bt-sub-sample-category-1b', 'com_content', 'BT Sub Sample Category 1b', 'bt-sub-sample-category-1b', '', '<p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. In nec ultrices augue. Cras libero ligula, faucibus non commodo eu, ultrices id sem. Nullam viverra arcu sit amet libero sodales vulputate. Vivamus lacus nibh, dictum sed blandit eget, rutrum id erat. Nulla facilisi. Nulla facilisi. Donec ac nisi eros. Nulla facilisis urna vitae ipsum imperdiet a congue nunc suscipit. In hac habitasse platea dictumst. Nam sapien tellus, tempor non sagittis id, laoreet sit amet ligula. Vivamus mauris ligula, scelerisque vitae interdum ut, posuere sit amet eros. Donec risus est, vestibulum at iaculis interdum, dictum ac massa.</p>', 1, 0, '0000-00-00 00:00:00', 1, '{\"category_layout\":\"\",\"image\":\"\"}', '', '', '{\"author\":\"\",\"robots\":\"\"}', 890, '2014-02-13 16:21:04', 890, '2014-02-13 16:26:22', 0, '*')"; $db->setQuery($query); $db->query(); echo $this->sqlLogs($db);

			// BT Sub Sample Category 2
			$query = "INSERT INTO #__categories (`asset_id`, `parent_id`, `level`, `path`, `extension`, `title`, `alias`, `note`, `description`, `published`, `checked_out`, `checked_out_time`, `access`, `params`, `metadesc`, `metakey`, `metadata`, `created_user_id`, `created_time`, `modified_user_id`, `modified_time`, `hits`, `language`) VALUES (".($next_assets_id + 6).", ".$sample_category_2_id.", 2, 'bt-sample-category-2/bt-sub-sample-category-2b', 'com_content', 'BT Sub Sample Category 2b', 'bt-sub-sample-category-2b', '', '<p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. In nec ultrices augue. Cras libero ligula, faucibus non commodo eu, ultrices id sem. Nullam viverra arcu sit amet libero sodales vulputate. Vivamus lacus nibh, dictum sed blandit eget, rutrum id erat. Nulla facilisi. Nulla facilisi. Donec ac nisi eros. Nulla facilisis urna vitae ipsum imperdiet a congue nunc suscipit. In hac habitasse platea dictumst. Nam sapien tellus, tempor non sagittis id, laoreet sit amet ligula. Vivamus mauris ligula, scelerisque vitae interdum ut, posuere sit amet eros. Donec risus est, vestibulum at iaculis interdum, dictum ac massa.</p>', 1, 0, '0000-00-00 00:00:00', 1, '{\"category_layout\":\"\",\"image\":\"\"}', '', '', '{\"author\":\"\",\"robots\":\"\"}', 890, '2014-02-13 16:21:04', 890, '2014-02-13 16:26:22', 0, '*')"; $db->setQuery($query); $db->query(); echo $this->sqlLogs($db);
			


			// BT Sample Category 3
			$query = "INSERT INTO #__categories (`asset_id`, `parent_id`, `level`, `path`, `extension`, `title`, `alias`, `note`, `description`, `published`, `checked_out`, `checked_out_time`, `access`, `params`, `metadesc`, `metakey`, `metadata`, `created_user_id`, `created_time`, `modified_user_id`, `modified_time`, `hits`, `language`) VALUES (".($next_assets_id + 7).", 1, 1, 'bt-sample-category-3', 'com_content', 'BT Sample Category 3', 'bt-sample-category-3', '', '<p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. In nec ultrices augue. Cras libero ligula, faucibus non commodo eu, ultrices id sem. Nullam viverra arcu sit amet libero sodales vulputate. Vivamus lacus nibh, dictum sed blandit eget, rutrum id erat. Nulla facilisi. Nulla facilisi. Donec ac nisi eros. Nulla facilisis urna vitae ipsum imperdiet a congue nunc suscipit. In hac habitasse platea dictumst. Nam sapien tellus, tempor non sagittis id, laoreet sit amet ligula. Vivamus mauris ligula, scelerisque vitae interdum ut, posuere sit amet eros. Donec risus est, vestibulum at iaculis interdum, dictum ac massa.</p>', 1, 0, '0000-00-00 00:00:00', 1, '{\"category_layout\":\"\",\"image\":\"\"}', '', '', '{\"author\":\"\",\"robots\":\"\"}', 890, '2014-02-13 16:20:55', 890, '2014-02-13 16:26:17', 0, '*')"; $db->setQuery($query); $db->query(); echo $this->sqlLogs($db);

			// get parent categories id
			$query = "SELECT id FROM #__categories WHERE title = 'BT Sample Category 3' AND extension='com_content'"; $db->setQuery($query); $db->query(); $sample_category_3_id = $db->loadResult(); echo $this->sqlLogs($db);
				
			// BT Sub Sample Category 1c
			$query = "INSERT INTO #__categories (`asset_id`, `parent_id`, `level`, `path`, `extension`, `title`, `alias`, `note`, `description`, `published`, `checked_out`, `checked_out_time`, `access`, `params`, `metadesc`, `metakey`, `metadata`, `created_user_id`, `created_time`, `modified_user_id`, `modified_time`, `hits`, `language`) VALUES (".($next_assets_id + 8).", ".$sample_category_3_id.", 2, 'bt-sample-category-3/bt-sub-sample-category-1c', 'com_content', 'BT Sub Sample Category 1c', 'bt-sub-sample-category-1c', '', '<p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. In nec ultrices augue. Cras libero ligula, faucibus non commodo eu, ultrices id sem. Nullam viverra arcu sit amet libero sodales vulputate. Vivamus lacus nibh, dictum sed blandit eget, rutrum id erat. Nulla facilisi. Nulla facilisi. Donec ac nisi eros. Nulla facilisis urna vitae ipsum imperdiet a congue nunc suscipit. In hac habitasse platea dictumst. Nam sapien tellus, tempor non sagittis id, laoreet sit amet ligula. Vivamus mauris ligula, scelerisque vitae interdum ut, posuere sit amet eros. Donec risus est, vestibulum at iaculis interdum, dictum ac massa.</p>', 1, 0, '0000-00-00 00:00:00', 1, '{\"category_layout\":\"\",\"image\":\"\"}', '', '', '{\"author\":\"\",\"robots\":\"\"}', 890, '2014-02-13 16:21:04', 890, '2014-02-13 16:26:22', 0, '*')"; $db->setQuery($query); $db->query(); echo $this->sqlLogs($db);

			// BT Sub Sample Category 2c
			$query = "INSERT INTO #__categories (`asset_id`, `parent_id`, `level`, `path`, `extension`, `title`, `alias`, `note`, `description`, `published`, `checked_out`, `checked_out_time`, `access`, `params`, `metadesc`, `metakey`, `metadata`, `created_user_id`, `created_time`, `modified_user_id`, `modified_time`, `hits`, `language`) VALUES (".($next_assets_id + 9).", ".$sample_category_3_id.", 2, 'bt-sample-category-3/bt-sub-sample-category-2c', 'com_content', 'BT Sub Sample Category 2c', 'bt-sub-sample-category-2c', '', '<p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. In nec ultrices augue. Cras libero ligula, faucibus non commodo eu, ultrices id sem. Nullam viverra arcu sit amet libero sodales vulputate. Vivamus lacus nibh, dictum sed blandit eget, rutrum id erat. Nulla facilisi. Nulla facilisi. Donec ac nisi eros. Nulla facilisis urna vitae ipsum imperdiet a congue nunc suscipit. In hac habitasse platea dictumst. Nam sapien tellus, tempor non sagittis id, laoreet sit amet ligula. Vivamus mauris ligula, scelerisque vitae interdum ut, posuere sit amet eros. Donec risus est, vestibulum at iaculis interdum, dictum ac massa.</p>', 1, 0, '0000-00-00 00:00:00', 1, '{\"category_layout\":\"\",\"image\":\"\"}', '', '', '{\"author\":\"\",\"robots\":\"\"}', 890, '2014-02-13 16:21:04', 890, '2014-02-13 16:26:22', 0, '*')"; 
			$db->setQuery($query); $db->query(); echo $this->sqlLogs($db);
			
			// other categories (com_contact, com_weblinks, com_nesfeeds)
			$query = 'INSERT INTO `#__categories` (`parent_id`, `lft`, `rgt`, `level`, `path`, `extension`, `title`, `alias`, `note`, `description`, `published`, `checked_out`, `checked_out_time`, `access`, `params`, `metadesc`, `metakey`, `metadata`, `created_user_id`, `created_time`, `modified_user_id`, `modified_time`, `hits`, `language`) VALUES

(1, 31, 32, 1, \'sales-department\', \'com_contact\', \'Sales Department\', \'sales-department\', \'\', \'<p>Vestibulum vel arcu ut nisi consequat faucibus. Proin a vestibulum libero. Phasellus porttitor ullamcorper justo quis volutpat. Aenean mollis ullamcorper risus id varius. Nunc mi urna, interdum eget imperdiet quis, ullamcorper id neque. Morbi pellentesque, purus ac varius eleifend, lectus nibh cursus tellus, non porta leo ligula a metus. Sed gravida convallis tellus. Vivamus in nisi nec est adipiscing interdum a vel quam.</p>\', 1, 0, \'0000-00-00 00:00:00\', 1, \'{"category_layout":"","image":""}\', \'\', \'\', \'{"author":"","robots":""}\', '.$super_user_id.', \'2012-03-01 19:19:36\', '.$super_user_id.', \'2012-03-01 19:19:52\', 0, \'*\'),

(1, 33, 34, 1, \'support-department\', \'com_contact\', \'Support Department\', \'support-department\', \'\', \'<p>Vestibulum vel arcu ut nisi consequat faucibus. Proin a vestibulum libero. Phasellus porttitor ullamcorper justo quis volutpat. Aenean mollis ullamcorper risus id varius. Nunc mi urna, interdum eget imperdiet quis, ullamcorper id neque. Morbi pellentesque, purus ac varius eleifend, lectus nibh cursus tellus, non porta leo ligula a metus. Sed gravida convallis tellus. Vivamus in nisi nec est adipiscing interdum a vel quam.</p>\', 1, 0, \'0000-00-00 00:00:00\', 1, \'{"category_layout":"","image":""}\', \'\', \'\', \'{"author":"","robots":""}\', '.$super_user_id.', \'2012-03-01 19:19:36\', '.$super_user_id.', \'2012-03-01 19:19:52\', 0, \'*\'),

(1, 35, 36, 1, \'cnn-news\', \'com_newsfeeds\', \'CNN news\', \'cnn-news\', \'\', \'<p>Nulla pharetra elit purus. Duis nec ipsum dui, non vulputate tortor. Sed venenatis est nec dolor feugiat vitae commodo felis adipiscing. Suspendisse fermentum enim vitae tellus ullamcorper ut viverra sem mattis. Donec sed ante non urna varius elementum. Morbi in commodo ante. Pellentesque facilisis augue lobortis eros euismod volutpat. Vestibulum molestie sem ac nulla bibendum ultricies dictum metus aliquet. Mauris posuere egestas tortor, sed pellentesque justo faucibus sit amet.</p>\', 1, 0, \'0000-00-00 00:00:00\', 1, \'{"category_layout":"","image":""}\', \'\', \'\', \'{"author":"","robots":""}\', '.$super_user_id.', \'2012-03-01 20:27:14\', '.$super_user_id.', \'2012-03-01 20:46:58\', 0, \'*\'),
(1, 37, 38, 1, \'bbc-news\', \'com_newsfeeds\', \'BBC news\', \'bbc-news\', \'\', \'<p>Nulla pharetra elit purus. Duis nec ipsum dui, non vulputate tortor. Sed venenatis est nec dolor feugiat vitae commodo felis adipiscing. Suspendisse fermentum enim vitae tellus ullamcorper ut viverra sem mattis. Donec sed ante non urna varius elementum. Morbi in commodo ante. Pellentesque facilisis augue lobortis eros euismod volutpat. Vestibulum molestie sem ac nulla bibendum ultricies dictum metus aliquet. Mauris posuere egestas tortor, sed pellentesque justo faucibus sit amet.</p>\', 1, 0, \'0000-00-00 00:00:00\', 1, \'{"category_layout":"","image":""}\', \'\', \'\', \'{"author":"","robots":""}\', '.$super_user_id.', \'2012-03-01 20:27:26\', '.$super_user_id.', \'2012-03-01 20:27:48\', 0, \'*\'),
(1, 39, 40, 1, \'uefa-news\', \'com_newsfeeds\', \'UEFA news\', \'uefa-news\', \'\', \'<p>Nulla pharetra elit purus. Duis nec ipsum dui, non vulputate tortor. Sed venenatis est nec dolor feugiat vitae commodo felis adipiscing. Suspendisse fermentum enim vitae tellus ullamcorper ut viverra sem mattis. Donec sed ante non urna varius elementum. Morbi in commodo ante. Pellentesque facilisis augue lobortis eros euismod volutpat. Vestibulum molestie sem ac nulla bibendum ultricies dictum metus aliquet. Mauris posuere egestas tortor, sed pellentesque justo faucibus sit amet.</p>\', 1, 0, \'0000-00-00 00:00:00\', 1, \'{"category_layout":"","image":""}\', \'\', \'\', \'{"author":"","robots":""}\', '.$super_user_id.', \'2012-03-01 20:28:00\', '.$super_user_id.', \'2012-03-01 20:28:42\', 0, \'*\'),
(1, 41, 42, 1, \'fifa-news\', \'com_newsfeeds\', \'FIFA news\', \'fifa-news\', \'\', \'<p>Nulla pharetra elit purus. Duis nec ipsum dui, non vulputate tortor. Sed venenatis est nec dolor feugiat vitae commodo felis adipiscing. Suspendisse fermentum enim vitae tellus ullamcorper ut viverra sem mattis. Donec sed ante non urna varius elementum. Morbi in commodo ante. Pellentesque facilisis augue lobortis eros euismod volutpat. Vestibulum molestie sem ac nulla bibendum ultricies dictum metus aliquet. Mauris posuere egestas tortor, sed pellentesque justo faucibus sit amet.</p>\', 1, 0, \'0000-00-00 00:00:00\', 1, \'{"category_layout":"","image":""}\', \'\', \'\', \'{"author":"","robots":""}\', '.$super_user_id.', \'2012-03-01 20:28:21\', '.$super_user_id.', \'2012-03-01 20:28:33\', 0, \'*\'),
(1, 43, 44, 1, \'joomla\', \'com_weblinks\', \'Joomla\', \'joomla\', \'\', \'<p>Joomla is one of the world most popular open source CMS (content management system). With millions of websites running on Joomla, the software is used by individuals, small & medium-sized businesses, and large organizations worldwide to easily create & build a variety of websites & web-enabled applications.</p>\', 1, 0, \'0000-00-00 00:00:00\', 1, \'{"category_layout":"","image":""}\', \'\', \'\', \'{"author":"","robots":""}\', '.$super_user_id.', \'2012-03-01 20:55:06\', 0, \'0000-00-00 00:00:00\', 0, \'*\'),
(1, 45, 46, 1, \'apple\', \'com_weblinks\', \'Apple\', \'apple\', \'\', \'<p>Apple Inc. (NASDAQ: AAPL) formerly Apple Computer, Inc. is an American multinational corporation that designs and sells consumer electronics, computer software, and personal computers. The company\'\'s best-known hardware products are the Macintosh line of computers, the iPod, the iPhone and the iPad. Its software includes the Mac OS X operating system; the iTunes media browser; the iLife suite of multimedia and creativity software; the iWork suite of productivity software; Aperture, a professional photography package; Final Cut Studio, a suite of professional audio and film-industry software products; Logic Studio, a suite of music production tools; the Safari web browser; and iOS, a mobile operating system.</p>\', 1, 0, \'0000-00-00 00:00:00\', 1, \'{"category_layout":"","image":""}\', \'\', \'\', \'{"author":"","robots":""}\', '.$super_user_id.', \'2012-03-01 20:55:59\', 0, \'0000-00-00 00:00:00\', 0, \'*\'),
(1, 47, 48, 1, \'google\', \'com_weblinks\', \'Google\', \'google\', \'\', \'<p>Google Inc. (NASDAQ: GOOG) is an American multinational Internet and software corporation specialized in Internet search, cloud computing, and advertising technologies. It hosts and develops a number of Internet-based services and products,[5] and generates profit primarily from advertising through its AdWords program.[6][7] The company was founded by Larry Page and Sergey Brin while they were both attending Stanford University.\r\nGoogle was first incorporated as a privately held company on September 4, 1998, and its initial public offering followed on August 19, 2004.</p>\', 1, 0, \'0000-00-00 00:00:00\', 1, \'{"category_layout":"","image":""}\', \'\', \'\', \'{"author":"","robots":""}\', '.$super_user_id.', \'2012-03-01 20:59:24\', 0, \'0000-00-00 00:00:00\', 0, \'*\')';
			$db->setQuery($query); $db->query(); echo $this->sqlLogs($db);
		
			// #__assets
			// get com_content's id
			$query = "SELECT id FROM #__assets WHERE name = 'com_content' AND title = 'com_content'"; $db->setQuery($query); $db->query(); $parent_id_assets_com_content = $db->loadResult(); echo $this->sqlLogs($db);
			
			// assets: BT Sample Category 1
			$query = 'INSERT INTO #__assets (`id`, `parent_id`, `level`, `name`, `title`, `rules`) VALUES
('.($next_assets_id + 1).', '.$parent_id_assets_com_content.', 2, \'com_content.category.'.$sample_category_1_id.'\', \'BT Sample Category 1\', \'{"core.create":{"6":1,"3":1},"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1},"core.edit.own":{"6":1,"3":1}}\')'; $db->setQuery($query); $db->query(); echo $this->sqlLogs($db);
			
			// get parent category asset id
			$query = "SELECT id FROM #__assets WHERE name = 'com_content.category.".$sample_category_1_id."'"; $db->setQuery($query); $db->query(); $parent_id_assets_parent_cat = $db->loadResult(); echo $this->sqlLogs($db);			
			
			// $bt_sample_sub_category_1a;
			$query = "SELECT id FROM #__categories WHERE title = 'BT Sub Sample Category 1a' AND extension='com_content'"; $db->setQuery($query); $db->query(); $bt_sample_sub_category_1a = $db->loadResult(); echo $this->sqlLogs($db);
			// $bt_sample_sub_category_2a;
			$query = "SELECT id FROM #__categories WHERE title = 'BT Sub Sample Category 2a' AND extension='com_content'"; $db->setQuery($query); $db->query(); $bt_sample_sub_category_2a = $db->loadResult(); echo $this->sqlLogs($db);
			
			// assets: BT Sub Sample Category 1a
			$query = 'INSERT INTO #__assets (`id`, `parent_id`, `level`, `name`, `title`, `rules`) VALUES
('.($next_assets_id + 2).', '.$parent_id_assets_parent_cat.', 2, \'com_content.category.'.$bt_sample_sub_category_1a.'\', \'BT Sub Sample Category 1\', \'{"core.create":{"6":1,"3":1},"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1},"core.edit.own":{"6":1,"3":1}}\')'; $db->setQuery($query); $db->query(); echo $this->sqlLogs($db);

			// assets: BT Sub Sample Category 2a
			$query = 'INSERT INTO #__assets (`id`, `parent_id`, `level`, `name`, `title`, `rules`) VALUES
('.($next_assets_id + 3).', '.$parent_id_assets_parent_cat.', 2, \'com_content.category.'.$bt_sample_sub_category_2a.'\', \'BT Sub Sample Category 2\', \'{"core.create":{"6":1,"3":1},"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1},"core.edit.own":{"6":1,"3":1}}\')'; $db->setQuery($query); $db->query(); echo $this->sqlLogs($db);

			
			
			
			
			// $bt_sample_sub_category_1b;
			$query = "SELECT id FROM #__categories WHERE title = 'BT Sub Sample Category 1b' AND extension='com_content'"; $db->setQuery($query); $db->query(); $bt_sample_sub_category_1b = $db->loadResult(); echo $this->sqlLogs($db);
			// $bt_sample_sub_category_2b;
			$query = "SELECT id FROM #__categories WHERE title = 'BT Sub Sample Category 2b' AND extension='com_content'"; $db->setQuery($query); $db->query(); $bt_sample_sub_category_2b = $db->loadResult(); echo $this->sqlLogs($db);
			
			// assets: BT Sample Category 2
			$query = 'INSERT INTO #__assets (`id`, `parent_id`, `level`, `name`, `title`, `rules`) VALUES
('.($next_assets_id + 4).', '.$parent_id_assets_com_content.', 2, \'com_content.category.'.$sample_category_2_id.'\', \'BT Sample Category 2\', \'{"core.create":{"6":1,"3":1},"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1},"core.edit.own":{"6":1,"3":1}}\')'; $db->setQuery($query); $db->query(); echo $this->sqlLogs($db);
			
			// get parent category asset id
			$query = "SELECT id FROM #__assets WHERE name = 'com_content.category.".$sample_category_2_id."'"; $db->setQuery($query); $db->query(); $parent_id_assets_parent_cat = $db->loadResult(); echo $this->sqlLogs($db);			
			
			// assets: BT Sub Sample Category 1b
			$query = 'INSERT INTO #__assets (`id`, `parent_id`, `level`, `name`, `title`, `rules`) VALUES
('.($next_assets_id + 5).', '.$parent_id_assets_parent_cat.', 2, \'com_content.category.'.$bt_sample_sub_category_1b.'\', \'BT Sub Sample Category 1\', \'{"core.create":{"6":1,"3":1},"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1},"core.edit.own":{"6":1,"3":1}}\')'; $db->setQuery($query); $db->query(); echo $this->sqlLogs($db);

			// assets: BT Sub Sample Category 2b
			$query = 'INSERT INTO #__assets (`id`, `parent_id`, `level`, `name`, `title`, `rules`) VALUES
('.($next_assets_id + 6).', '.$parent_id_assets_parent_cat.', 2, \'com_content.category.'.$bt_sample_sub_category_2b.'\', \'BT Sub Sample Category 2\', \'{"core.create":{"6":1,"3":1},"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1},"core.edit.own":{"6":1,"3":1}}\')'; $db->setQuery($query); $db->query(); echo $this->sqlLogs($db);


			// assets: BT Sample Category 3
			$query = 'INSERT INTO #__assets (`id`, `parent_id`, `level`, `name`, `title`, `rules`) VALUES
('.($next_assets_id + 7).', '.$parent_id_assets_com_content.', 2, \'com_content.category.'.$sample_category_3_id.'\', \'BT Sample Category 3\', \'{"core.create":{"6":1,"3":1},"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1},"core.edit.own":{"6":1,"3":1}}\')'; $db->setQuery($query); $db->query(); echo $this->sqlLogs($db);
			
			// get parent category asset id
			$query = "SELECT id FROM #__assets WHERE name = 'com_content.category.".$sample_category_3_id."'"; $db->setQuery($query); $db->query(); $parent_id_assets_parent_cat = $db->loadResult(); echo $this->sqlLogs($db);			
			
			
			// $bt_sample_sub_category_1c;
			$query = "SELECT id FROM #__categories WHERE title = 'BT Sub Sample Category 1c' AND extension='com_content'"; $db->setQuery($query); $db->query(); $bt_sample_sub_category_1c = $db->loadResult(); echo $this->sqlLogs($db);
			// $bt_sample_sub_category_2c;
			$query = "SELECT id FROM #__categories WHERE title = 'BT Sub Sample Category 2c' AND extension='com_content'"; $db->setQuery($query); $db->query(); $bt_sample_sub_category_2c = $db->loadResult(); echo $this->sqlLogs($db);
			
			// assets: BT Sub Sample Category 1c
			$query = 'INSERT INTO #__assets (`id`, `parent_id`, `level`, `name`, `title`, `rules`) VALUES
('.($next_assets_id + 8).', '.$parent_id_assets_parent_cat.', 2, \'com_content.category.'.$bt_sample_sub_category_1c.'\', \'BT Sub Sample Category 1\', \'{"core.create":{"6":1,"3":1},"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1},"core.edit.own":{"6":1,"3":1}}\')'; $db->setQuery($query); $db->query(); echo $this->sqlLogs($db);

			// assets: BT Sub Sample Category 2c
			$query = 'INSERT INTO #__assets (`id`, `parent_id`, `level`, `name`, `title`, `rules`) VALUES
('.($next_assets_id + 9).', '.$parent_id_assets_parent_cat.', 2, \'com_content.category.'.$bt_sample_sub_category_2c.'\', \'BT Sub Sample Category 2\', \'{"core.create":{"6":1,"3":1},"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1},"core.edit.own":{"6":1,"3":1}}\')'; $db->setQuery($query); $db->query(); echo $this->sqlLogs($db);

			// #__content
			require_once(BONUS_ELEMENTS_PATH.'/sql/import/import_content.php');
			// #__content_frontpage
			require_once(BONUS_ELEMENTS_PATH.'/sql/import/import_content_frontpage.php');
			// #__weblinks
			require_once(BONUS_ELEMENTS_PATH.'/sql/import/import_weblinks.php');
			// #__newsfeeds
			require_once(BONUS_ELEMENTS_PATH.'/sql/import/import_newsfeeds.php');
			// #__contact_details
			require_once(BONUS_ELEMENTS_PATH.'/sql/import/import_contact_details.php');
			
			// display message
			$import_message .= '<p class="bt_message">Congratulations! You have add the sample content successfully. (J! CONTENT)</p>'; 

		  	// BEGIN: K2
			// is k2 enabled?
			$query = "SELECT extension_id FROM #__extensions WHERE element = 'com_k2'"; $db->setQuery($query); $db->query(); echo $this->sqlLogs($db); $com_k2_id = $db->loadResult();
			if ($com_k2_id != ''):
				// #__k2_categories
				require_once(BONUS_ELEMENTS_PATH.'/sql/import/import_k2_categories.php');
				// #__k2_items
				require_once(BONUS_ELEMENTS_PATH.'/sql/import/import_k2_items.php');
				// #__k2_comments
				require_once(BONUS_ELEMENTS_PATH.'/sql/import/import_k2_comments.php');
				// #__k2_tags
				require_once(BONUS_ELEMENTS_PATH.'/sql/import/import_k2_tags.php');
				// #__k2_tags_xref
				require_once(BONUS_ELEMENTS_PATH.'/sql/import/import_k2_tags_xref.php');
				$import_message .= '<p class="bt_message">Congratulations! You have add the sample content successfully. (K2)</p>'; 
		 	endif;
		  	// END: K2
			// BEGIN: #__all vm tables
			$query = "SELECT extension_id FROM #__extensions WHERE element = 'com_virtuemart'"; $db->setQuery($query); $db->query(); echo $this->sqlLogs($db); $com_virtuemart_id = $db->loadResult();
			if ($com_virtuemart_id != ''):
				require_once(BONUS_ELEMENTS_PATH.'/sql/import/import_vm.php');
				$import_message .= '<p class="bt_message">Congratulations! You have add the sample content successfully. (VIRTUEMART)</p>'; 
		 	endif;
			// END: #__all vm tables
			
		    // #__menu
			require_once(BONUS_ELEMENTS_PATH.'/sql/import/import_menu.php');
			// display message
			$import_message .= '<p class="bt_message">Congratulations! You have add the sample content successfully. (MENU ITEMS #__menu)</p>'; 
		 
		/////////////////////////////////////////////// REMOVE ///////////////////////////////////////////////
		elseif ($get_sample_content=='remove'):
			
			$remove_message = '';
			
			// REMOVE sample content
			
			// #__menu_types
			$query = 'DELETE FROM #__menu_types WHERE menutype = "btmenu"'; $db->setQuery($query); $db->query(); echo $this->sqlLogs($db);
						
			// #__modules_menu
			// find the moduleid
			$query = "SELECT id FROM #__modules WHERE title = 'BT Menu'"; $db->setQuery($query); $db->query(); echo $this->sqlLogs($db); $module_id = $db->loadResult();
			// delete first
			$query = 'DELETE FROM #__modules_menu WHERE moduleid = "'.$module_id.'"'; $db->setQuery($query); $db->query(); echo $this->sqlLogs($db);
			
			// #__modules
			$query = 'DELETE FROM #__modules WHERE title = "BT Menu"'; $db->setQuery($query); $db->query(); echo $this->sqlLogs($db);
			
			// display message
			$remove_message .= '<p class="bt_message">The sample content has been removed successfully from your database (MENU ITEMS general tables).</p>';
		  
			// #__user_usergroup_map
			// find the user_id
			$query = "SELECT id FROM #__users WHERE name = 'Nick Papadopoulos' AND username = 'nick'"; $db->setQuery($query); $db->query(); $nick_id = $db->loadResult(); echo $this->sqlLogs($db);
			$query = "SELECT id FROM #__users WHERE name = 'George Nicolaou' AND username = 'george'"; $db->setQuery($query); $db->query(); $george_id = $db->loadResult(); echo $this->sqlLogs($db);
			$query = "SELECT id FROM #__users WHERE name = 'Petros Georgiou' AND username = 'petros'"; $db->setQuery($query); $db->query(); $petros_id = $db->loadResult(); echo $this->sqlLogs($db);
			$query = "SELECT id FROM #__users WHERE name = 'John Thomson' AND username = 'john'"; $db->setQuery($query); $db->query(); $john_id = $db->loadResult(); echo $this->sqlLogs($db);
			$query = "SELECT id FROM #__users WHERE name = 'Katerina James' AND username = 'katerina'"; $db->setQuery($query); $db->query(); $katerina_id = $db->loadResult(); echo $this->sqlLogs($db);
			$query = "SELECT id FROM #__users WHERE name = 'Paul Christodoulou' AND username = 'paul'"; $db->setQuery($query); $db->query(); $paul_id = $db->loadResult(); echo $this->sqlLogs($db);
			// delete first
			$query = 'DELETE FROM #__user_usergroup_map WHERE user_id = "'.$nick_id.'"'; $db->setQuery($query); $db->query(); echo $this->sqlLogs($db);
			$query = 'DELETE FROM #__user_usergroup_map WHERE user_id = "'.$george_id.'"'; $db->setQuery($query); $db->query(); echo $this->sqlLogs($db);
			$query = 'DELETE FROM #__user_usergroup_map WHERE user_id = "'.$petros_id.'"'; $db->setQuery($query); $db->query(); echo $this->sqlLogs($db);
			$query = 'DELETE FROM #__user_usergroup_map WHERE user_id = "'.$john_id.'"'; $db->setQuery($query); $db->query(); echo $this->sqlLogs($db);
			$query = 'DELETE FROM #__user_usergroup_map WHERE user_id = "'.$katerina_id.'"'; $db->setQuery($query); $db->query(); echo $this->sqlLogs($db);
			$query = 'DELETE FROM #__user_usergroup_map WHERE user_id = "'.$paul_id.'"'; $db->setQuery($query); $db->query(); echo $this->sqlLogs($db);

			// #__users
			// delete first
			$query = 'DELETE FROM #__users WHERE name = "Nick Papadopoulos" OR name = "George Nicolaou" OR name = "Petros Georgiou" OR name = "John Thomson" OR name = "Katerina James" OR name = "Paul Christodoulou"'; $db->setQuery($query); $db->query(); echo $this->sqlLogs($db);
			
			// #__categories
			// delete first
			$query = 'DELETE FROM #__categories WHERE title = "BT Sample Category 1" AND extension="com_content"'; $db->setQuery($query); $db->query(); echo $this->sqlLogs($db);
			$query = 'DELETE FROM #__categories WHERE title = "BT Sample Category 2" AND extension="com_content"'; $db->setQuery($query); $db->query(); echo $this->sqlLogs($db);
			$query = 'DELETE FROM #__categories WHERE title = "BT Sample Category 3" AND extension="com_content"'; $db->setQuery($query); $db->query(); echo $this->sqlLogs($db);
			$query = 'DELETE FROM #__categories WHERE title = "BT Sub Sample Category 1a" AND extension="com_content"'; $db->setQuery($query); $db->query(); echo $this->sqlLogs($db);
			$query = 'DELETE FROM #__categories WHERE title = "BT Sub Sample Category 2a" AND extension="com_content"'; $db->setQuery($query); $db->query(); echo $this->sqlLogs($db);
			$query = 'DELETE FROM #__categories WHERE title = "BT Sub Sample Category 1b" AND extension="com_content"'; $db->setQuery($query); $db->query(); echo $this->sqlLogs($db);
			$query = 'DELETE FROM #__categories WHERE title = "BT Sub Sample Category 2b" AND extension="com_content"'; $db->setQuery($query); $db->query(); echo $this->sqlLogs($db);
			$query = 'DELETE FROM #__categories WHERE title = "BT Sub Sample Category 1c" AND extension="com_content"'; $db->setQuery($query); $db->query(); echo $this->sqlLogs($db);
			$query = 'DELETE FROM #__categories WHERE title = "BT Sub Sample Category 2c" AND extension="com_content"'; $db->setQuery($query); $db->query(); echo $this->sqlLogs($db);
			$query = 'DELETE FROM #__categories WHERE title = "Joomla" AND extension="com_weblinks"'; $db->setQuery($query); $db->query(); echo $this->sqlLogs($db);
			$query = 'DELETE FROM #__categories WHERE title = "Apple" AND extension="com_weblinks"'; $db->setQuery($query); $db->query(); echo $this->sqlLogs($db);
			$query = 'DELETE FROM #__categories WHERE title = "Google" AND extension="com_weblinks"'; $db->setQuery($query); $db->query(); echo $this->sqlLogs($db);
			$query = 'DELETE FROM #__categories WHERE title = "FIFA news" AND extension="com_newsfeeds"'; $db->setQuery($query); $db->query(); echo $this->sqlLogs($db);
			$query = 'DELETE FROM #__categories WHERE title = "UEFA news" AND extension="com_newsfeeds"'; $db->setQuery($query); $db->query(); echo $this->sqlLogs($db);
			$query = 'DELETE FROM #__categories WHERE title = "BBC news" AND extension="com_newsfeeds"'; $db->setQuery($query); $db->query(); echo $this->sqlLogs($db);
			$query = 'DELETE FROM #__categories WHERE title = "CNN news" AND extension="com_newsfeeds"'; $db->setQuery($query); $db->query(); echo $this->sqlLogs($db);
			$query = 'DELETE FROM #__categories WHERE title = "Support Department" AND extension="com_contact"'; $db->setQuery($query); $db->query(); echo $this->sqlLogs($db);
			$query = 'DELETE FROM #__categories WHERE title = "Sales Department" AND extension="com_contact"'; $db->setQuery($query); $db->query(); echo $this->sqlLogs($db);
			
			#__assets
			// delete first
			$query = 'DELETE FROM #__assets WHERE title = "BT Sample Category 1"'; $db->setQuery($query); $db->query(); echo $this->sqlLogs($db);
			$query = 'DELETE FROM #__assets WHERE title = "BT Sample Category 2"'; $db->setQuery($query); $db->query(); echo $this->sqlLogs($db);
			$query = 'DELETE FROM #__assets WHERE title = "BT Sample Category 3"'; $db->setQuery($query); $db->query(); echo $this->sqlLogs($db);
			$query = 'DELETE FROM #__assets WHERE title = "BT Sub Sample Category 1"'; $db->setQuery($query); $db->query(); echo $this->sqlLogs($db);
			$query = 'DELETE FROM #__assets WHERE title = "BT Sub Sample Category 2"'; $db->setQuery($query); $db->query(); echo $this->sqlLogs($db);
			$query = 'DELETE FROM #__assets WHERE title = "BT Sub Sample Category 1a"'; $db->setQuery($query); $db->query(); echo $this->sqlLogs($db);
			$query = 'DELETE FROM #__assets WHERE title = "BT Sub Sample Category 2a"'; $db->setQuery($query); $db->query(); echo $this->sqlLogs($db);
			$query = 'DELETE FROM #__assets WHERE title = "BT Sub Sample Category 1b"'; $db->setQuery($query); $db->query(); echo $this->sqlLogs($db);
			$query = 'DELETE FROM #__assets WHERE title = "BT Sub Sample Category 2b"'; $db->setQuery($query); $db->query(); echo $this->sqlLogs($db);
			$query = 'DELETE FROM #__assets WHERE title = "BT Sub Sample Category 1c"'; $db->setQuery($query); $db->query(); echo $this->sqlLogs($db);
			$query = 'DELETE FROM #__assets WHERE title = "BT Sub Sample Category 2c"'; $db->setQuery($query); $db->query(); echo $this->sqlLogs($db);

			// #__content_frontpage
			require_once(BONUS_ELEMENTS_PATH.'/sql/delete/delete_content_frontpage.php');
			// #__content
			require_once(BONUS_ELEMENTS_PATH.'/sql/delete/delete_content.php');
			// #__weblinks
			require_once(BONUS_ELEMENTS_PATH.'/sql/delete/delete_weblinks.php');
			// #__newsfeeds
			require_once(BONUS_ELEMENTS_PATH.'/sql/delete/delete_newsfeeds.php');
			// #__contact_details
			require_once(BONUS_ELEMENTS_PATH.'/sql/delete/delete_contact_details.php');
			
			// display message
			$remove_message .= '<p class="bt_message">The sample content has been removed successfully from your database (J! CONTENT).</p>';
		  
		  	// BEGIN: K2
			// is k2 enabled?
			$query = "SELECT extension_id FROM #__extensions WHERE element = 'com_k2'"; $db->setQuery($query); $db->query(); echo $this->sqlLogs($db); $com_k2_id = $db->loadResult();
			if ($com_k2_id != ''):
				// #__k2_categories
				require_once(BONUS_ELEMENTS_PATH.'/sql/delete/delete_k2_categories.php');
				// #__k2_items
				require_once(BONUS_ELEMENTS_PATH.'/sql/delete/delete_k2_items.php');
				// #__k2_comments
				require_once(BONUS_ELEMENTS_PATH.'/sql/delete/delete_k2_comments.php');
				// #__k2_tags
				require_once(BONUS_ELEMENTS_PATH.'/sql/delete/delete_k2_tags.php');
				// #__k2_tags_xref
				require_once(BONUS_ELEMENTS_PATH.'/sql/delete/delete_k2_tags_xref.php');
				$remove_message .= '<p class="bt_message">The sample content has been removed successfully from your database (K2).</p>';
			endif;
		  	// END: K2
			  
			// BEGIN: #__all vm tables
			$query = "SELECT extension_id FROM #__extensions WHERE element = 'com_virtuemart'"; $db->setQuery($query); $db->query(); echo $this->sqlLogs($db); $com_virtuemart_id = $db->loadResult();
			if ($com_virtuemart_id != ''):
				require_once(BONUS_ELEMENTS_PATH.'/sql/delete/delete_vm.php');
				$remove_message .= '<p class="bt_message">The sample content has been removed successfully from your database (VIRTUEMART).</p>';
			endif;
			// END: #__all vm tables
			
			// #__menu
			require_once(BONUS_ELEMENTS_PATH.'/sql/delete/delete_menu.php');
			
			// display message
			$remove_message .= '<p class="bt_message">The sample content has been removed successfully from your database (MENU ITEMS #__menu).</p>';
		   
		endif;
		
		// get current url
		$current_url = JURI::getInstance()->toString();
		
		$pattern  = '';
		$pattern .= '/(';
		$pattern .= '&sample_content=import&debug=true&import_type=jcontent|';
		$pattern .= '&sample_content=remove&debug=true&import_type=jcontent';
		$pattern .= ')*/';
		
		$current_url = preg_replace($pattern, '', $current_url);
		
		// BEGIN: display import/delete links only if &bt_import=true
		if ($display_sample_content_links=='true'):
		?>
		
			<div class="import_sample_content">
			
				<h2>IMPORT</h2>
				
				<p><a href="<?php echo $current_url.'&sample_content=import&debug=true&import_type=jcontent'; ?>" onclick="Joomla.submitbutton('plugin.apply')" class="button">IMPORT SAMPLE CONTENT</a></p>
				
				<?php echo $import_message; ?>

			</div><!-- .import_sample_content -->
			
			<div class="clearfix"></div>
			
			<div class="remove_sample_content">
			
				<h2>REMOVE</h2>
				
				<p><a href="<?php echo $current_url.'&sample_content=remove&debug=true&import_type=jcontent';?>" onclick="Joomla.submitbutton('plugin.apply')" class="button">REMOVE SAMPLE CONTENT</a></p>
				
				<?php echo $remove_message; ?>
			
			</div><!-- .remove_sample_content -->
			
		</div><!-- .sample_content -->
		
		<?php
	  endif;
	  // END: display import/delete links only if &bt_import=true
	  
	  endif;
	  // END: if BonusFramework plugin is enabled		
	
	}//endf
}//endclass
?>