<?php
defined( '_JEXEC' ) or die( 'Restricted access' );

require_once('elements_helper.php');

jimport('joomla.form.formfield');

class JFormFieldLayoutgrid extends JFormField {
	
	protected $type = 'Layoutgrid';
	
	// get params from params.ini
	function getParamsFromIni()
	{
		$params_ini_arr = array();
		$params_ini_arr = parse_ini_file(str_replace('administrator/','',JPATH_THEMES).'/'.getCleanTemplateName().'/params.ini');
		return $params_ini_arr;
	}

	protected function getLabel()
	{
		// get params
		$params_ini_arr = $this->getParamsFromIni();
		
		// get element name
		$element_name_arr = explode('_', $this->element['name']);
		$element_name = $element_name_arr[0];
		
		$is_pos_enabled = ($params_ini_arr[$element_name.'_enabled'] == 1) ? true : false;

		if ($is_pos_enabled):
			$html = '<label>'.ucfirst($element_name).' Grid System *</label>';
		else:
			$html = '';
		endif;
		return $html;
	}

	protected function getInput() 
	{
		// get params
		$params_ini_arr = $this->getParamsFromIni();
		
		// get element name
		$element_name_arr = explode('_', $this->element['name']);
		$element_name = $element_name_arr[0];
		
		$is_pos_enabled = ($params_ini_arr[$element_name.'_enabled'] == 1) ? true : false;
		
		$html  = '';

		// no columns
		$none  = '';
		$none .= "<option value=''".(($this->value=='') ? " selected='selected'" : '').">---- Select Columns first ----</option>";
		
		// column 1 options
		$cols_1  = '';
		$cols_1 .= "<option value=''".(($this->value=='') ? " selected='selected'" : '').">---- Select Grid System ----</option>";
		$cols_1 .= "<option value='12'".(($this->value=='12') ? " selected='selected'" : '').">12</option>";

		// column 2 options
		$cols_2  = '';
		$cols_2 .= "<option value=''".(($this->value=='') ? " selected='selected'" : '').">---- Select Grid System ----</option>";
		$cols_2 .= "<option value='2|10'".(($this->value=='2|10') ? " selected='selected'" : '').">2 | 10</option>";
		$cols_2 .= "<option value='3|9'".(($this->value=='3|9') ? " selected='selected'" : '').">3 | 9</option>";
		$cols_2 .= "<option value='4|8'".(($this->value=='4|8') ? " selected='selected'" : '').">4 | 8</option>";
		$cols_2 .= "<option value='5|7'".(($this->value=='5|7') ? " selected='selected'" : '').">5 | 7</option>";
		$cols_2 .= "<option value='6|6'".(($this->value=='6|6') ? " selected='selected'" : '').">6 | 6</option>";
		$cols_2 .= "<option value='7|5'".(($this->value=='7|5') ? " selected='selected'" : '').">7 | 5</option>";
		$cols_2 .= "<option value='8|4'".(($this->value=='8|4') ? " selected='selected'" : '').">8 | 4</option>";
		$cols_2 .= "<option value='9|3'".(($this->value=='9|3') ? " selected='selected'" : '').">9 | 3</option>";
		$cols_2 .= "<option value='10|2'".(($this->value=='10|2') ? " selected='selected'" : '').">10 | 2</option>";

		// column 3 options
		$cols_3  = '';
		$cols_3 .= "<option value=''".(($this->value=='') ? " selected='selected'" : '').">---- Select Grid System ----</option>";
		$cols_3 .= "<option value='2|2|8'".(($this->value=='2|2|8') ? " selected='selected'" : '').">2 | 2 | 8</option>";
		$cols_3 .= "<option value='2|3|7'".(($this->value=='2|3|7') ? " selected='selected'" : '').">2 | 3 | 7</option>";
		$cols_3 .= "<option value='2|4|6'".(($this->value=='2|4|6') ? " selected='selected'" : '').">2 | 4 | 6</option>";
		$cols_3 .= "<option value='2|5|5'".(($this->value=='2|5|5') ? " selected='selected'" : '').">2 | 5 | 5</option>";
		$cols_3 .= "<option value='2|6|4'".(($this->value=='2|6|4') ? " selected='selected'" : '').">2 | 6 | 4</option>";
		$cols_3 .= "<option value='2|7|3'".(($this->value=='2|7|3') ? " selected='selected'" : '').">2 | 7 | 3</option>";
		$cols_3 .= "<option value='2|8|2'".(($this->value=='2|8|2') ? " selected='selected'" : '').">2 | 8 | 2</option>";
		$cols_3 .= "<option value='3|2|7'".(($this->value=='3|2|7') ? " selected='selected'" : '').">3 | 2 | 7</option>";
		$cols_3 .= "<option value='3|3|6'".(($this->value=='3|3|6') ? " selected='selected'" : '').">3 | 3 | 6</option>";
		$cols_3 .= "<option value='3|4|5'".(($this->value=='3|4|5') ? " selected='selected'" : '').">3 | 4 | 5</option>";
		$cols_3 .= "<option value='3|5|4'".(($this->value=='3|5|4') ? " selected='selected'" : '').">3 | 5 | 4</option>";
		$cols_3 .= "<option value='3|6|3'".(($this->value=='3|6|3') ? " selected='selected'" : '').">3 | 6 | 3</option>";
		$cols_3 .= "<option value='3|7|2'".(($this->value=='3|7|2') ? " selected='selected'" : '').">3 | 7 | 2</option>";
		$cols_3 .= "<option value='4|2|6'".(($this->value=='4|2|6') ? " selected='selected'" : '').">4 | 2 | 6</option>";
		$cols_3 .= "<option value='4|3|5'".(($this->value=='4|3|5') ? " selected='selected'" : '').">4 | 3 | 5</option>";
		$cols_3 .= "<option value='4|4|4'".(($this->value=='4|4|4' || $this->value == '') ? " selected='selected'" : '').">4 | 4 | 4</option>";
		$cols_3 .= "<option value='4|5|3'".(($this->value=='4|5|3') ? " selected='selected'" : '').">4 | 5 | 3</option>";
		$cols_3 .= "<option value='4|6|2'".(($this->value=='4|6|2') ? " selected='selected'" : '').">4 | 6 | 2</option>";
		$cols_3 .= "<option value='5|2|5'".(($this->value=='5|2|5') ? " selected='selected'" : '').">5 | 2 | 5</option>";
		$cols_3 .= "<option value='5|3|4'".(($this->value=='5|3|4') ? " selected='selected'" : '').">5 | 3 | 4</option>";
		$cols_3 .= "<option value='5|4|3'".(($this->value=='5|4|3') ? " selected='selected'" : '').">5 | 4 | 3</option>";
		$cols_3 .= "<option value='5|5|2'".(($this->value=='5|5|2') ? " selected='selected'" : '').">5 | 5 | 2</option>";
		$cols_3 .= "<option value='6|2|4'".(($this->value=='6|2|4') ? " selected='selected'" : '').">6 | 2 | 4</option>";
		$cols_3 .= "<option value='6|3|3'".(($this->value=='6|3|3') ? " selected='selected'" : '').">6 | 3 | 3</option>";
		$cols_3 .= "<option value='6|4|2'".(($this->value=='6|4|2') ? " selected='selected'" : '').">6 | 4 | 2</option>";
		$cols_3 .= "<option value='7|2|3'".(($this->value=='7|2|3') ? " selected='selected'" : '').">7 | 2 | 3</option>";
		$cols_3 .= "<option value='7|3|2'".(($this->value=='7|3|2') ? " selected='selected'" : '').">7 | 3 | 2</option>";
		$cols_3 .= "<option value='8|2|2'".(($this->value=='8|2|2') ? " selected='selected'" : '').">8 | 2 | 2</option>";
		
		// column 4 options
		$cols_4  = '';
		$cols_4 .= "<option value=''".(($this->value=='') ? " selected='selected'" : '').">---- Select Grid System ----</option>";
		$cols_4 .= "<option value='2|2|2|6'".(($this->value=='2|2|2|6') ? " selected='selected'" : '').">2 | 2 | 2 | 6</option>";
		$cols_4 .= "<option value='2|2|3|5'".(($this->value=='2|2|3|5') ? " selected='selected'" : '').">2 | 2 | 3 | 5</option>";
		$cols_4 .= "<option value='2|2|4|4'".(($this->value=='2|2|4|4') ? " selected='selected'" : '').">2 | 2 | 4 | 4</option>";
		$cols_4 .= "<option value='2|2|5|3'".(($this->value=='2|2|5|3') ? " selected='selected'" : '').">2 | 2 | 5 | 3</option>";
		$cols_4 .= "<option value='2|2|6|2'".(($this->value=='2|2|6|2') ? " selected='selected'" : '').">2 | 2 | 6 | 2</option>";
		$cols_4 .= "<option value='2|3|2|5'".(($this->value=='2|3|2|5') ? " selected='selected'" : '').">2 | 3 | 2 | 5</option>";
		$cols_4 .= "<option value='2|3|3|4'".(($this->value=='2|3|3|4') ? " selected='selected'" : '').">2 | 3 | 3 | 4</option>";
		$cols_4 .= "<option value='2|3|4|3'".(($this->value=='2|3|4|3') ? " selected='selected'" : '').">2 | 3 | 4 | 3</option>";
		$cols_4 .= "<option value='2|3|5|2'".(($this->value=='2|3|5|2') ? " selected='selected'" : '').">2 | 3 | 5 | 2</option>";
		$cols_4 .= "<option value='2|4|2|4'".(($this->value=='2|4|2|4') ? " selected='selected'" : '').">2 | 4 | 2 | 4</option>";
		$cols_4 .= "<option value='2|4|3|3'".(($this->value=='2|4|3|3') ? " selected='selected'" : '').">2 | 4 | 3 | 3</option>";
		$cols_4 .= "<option value='2|4|4|2'".(($this->value=='2|4|4|2') ? " selected='selected'" : '').">2 | 4 | 4 | 2</option>";
		$cols_4 .= "<option value='2|5|2|3'".(($this->value=='2|5|2|3') ? " selected='selected'" : '').">2 | 5 | 2 | 3</option>";
		$cols_4 .= "<option value='2|5|3|2'".(($this->value=='2|5|3|2') ? " selected='selected'" : '').">2 | 5 | 3 | 2</option>";
		$cols_4 .= "<option value='2|6|2|2'".(($this->value=='2|6|2|2') ? " selected='selected'" : '').">2 | 6 | 2 | 2</option>";
		$cols_4 .= "<option value='3|2|2|5'".(($this->value=='3|2|2|5') ? " selected='selected'" : '').">3 | 2 | 2 | 5</option>";
		$cols_4 .= "<option value='3|2|3|4'".(($this->value=='3|2|3|4') ? " selected='selected'" : '').">3 | 2 | 3 | 4</option>";
		$cols_4 .= "<option value='3|2|4|3'".(($this->value=='3|2|4|3') ? " selected='selected'" : '').">3 | 2 | 4 | 3</option>";
		$cols_4 .= "<option value='3|2|5|2'".(($this->value=='3|2|5|2') ? " selected='selected'" : '').">3 | 2 | 5 | 2</option>";
		$cols_4 .= "<option value='3|3|2|4'".(($this->value=='3|3|2|4') ? " selected='selected'" : '').">3 | 3 | 2 | 4</option>";
		$cols_4 .= "<option value='3|3|3|3'".(($this->value=='3|3|3|3') ? " selected='selected'" : '').">3 | 3 | 3 | 3</option>";
		$cols_4 .= "<option value='3|3|4|2'".(($this->value=='3|3|4|2') ? " selected='selected'" : '').">3 | 3 | 4 | 2</option>";
		$cols_4 .= "<option value='3|4|2|3'".(($this->value=='3|4|2|3') ? " selected='selected'" : '').">3 | 4 | 2 | 3</option>";
		$cols_4 .= "<option value='3|4|3|2'".(($this->value=='3|4|3|2') ? " selected='selected'" : '').">3 | 4 | 3 | 2</option>";
		$cols_4 .= "<option value='3|5|2|2'".(($this->value=='3|5|2|2') ? " selected='selected'" : '').">3 | 5 | 2 | 2</option>";
		$cols_4 .= "<option value='4|2|2|4'".(($this->value=='4|2|2|4') ? " selected='selected'" : '').">4 | 2 | 2 | 4</option>";
		$cols_4 .= "<option value='4|2|2|3'".(($this->value=='4|2|2|3') ? " selected='selected'" : '').">4 | 2 | 2 | 3</option>";
		$cols_4 .= "<option value='4|2|4|2'".(($this->value=='4|2|4|2') ? " selected='selected'" : '').">4 | 2 | 4 | 2</option>";
		$cols_4 .= "<option value='4|3|2|3'".(($this->value=='4|3|2|3') ? " selected='selected'" : '').">4 | 3 | 2 | 3</option>";
		$cols_4 .= "<option value='4|3|3|2'".(($this->value=='4|3|3|2') ? " selected='selected'" : '').">4 | 3 | 3 | 2</option>";
		$cols_4 .= "<option value='4|4|2|2'".(($this->value=='4|4|2|2') ? " selected='selected'" : '').">4 | 4 | 2 | 2</option>";
		$cols_4 .= "<option value='5|2|2|3'".(($this->value=='5|2|2|3') ? " selected='selected'" : '').">5 | 2 | 2 | 3</option>";
		$cols_4 .= "<option value='5|2|3|2'".(($this->value=='5|2|3|2') ? " selected='selected'" : '').">5 | 2 | 3 | 2</option>";
		$cols_4 .= "<option value='6|2|2|2'".(($this->value=='6|2|2|2') ? " selected='selected'" : '').">6 | 2 | 2 | 2</option>";
		
		// column 5 options
		$cols_5  = '';
		$cols_5 .= "<option value=''".(($this->value=='') ? " selected='selected'" : '').">---- Select Grid System ----</option>";
		$cols_5 .= "<option value='2|2|2|2|4'".(($this->value=='2|2|2|2|4') ? " selected='selected'" : '').">2 | 2 | 2 | 2 | 4</option>";
		$cols_5 .= "<option value='2|2|2|3|3'".(($this->value=='2|2|2|3|3') ? " selected='selected'" : '').">2 | 2 | 2 | 3 | 3</option>";
		$cols_5 .= "<option value='2|2|2|4|2'".(($this->value=='2|2|2|4|2') ? " selected='selected'" : '').">2 | 2 | 2 | 4 | 2</option>";
		$cols_5 .= "<option value='2|2|3|2|3'".(($this->value=='2|2|3|2|3') ? " selected='selected'" : '').">2 | 2 | 3 | 2 | 3</option>";
		$cols_5 .= "<option value='2|2|3|3|2'".(($this->value=='2|2|3|3|2') ? " selected='selected'" : '').">2 | 2 | 3 | 3 | 2</option>";
		$cols_5 .= "<option value='2|2|4|2|2'".(($this->value=='2|2|4|2|2') ? " selected='selected'" : '').">2 | 2 | 4 | 2 | 2</option>";
		$cols_5 .= "<option value='2|3|2|2|3'".(($this->value=='2|3|2|2|3') ? " selected='selected'" : '').">2 | 3 | 2 | 2 | 3</option>";
		$cols_5 .= "<option value='2|3|2|3|2'".(($this->value=='2|3|2|3|2') ? " selected='selected'" : '').">2 | 3 | 2 | 3 | 2</option>";
		$cols_5 .= "<option value='2|3|3|2|2'".(($this->value=='2|3|3|2|2') ? " selected='selected'" : '').">2 | 3 | 3 | 2 | 2</option>";
		$cols_5 .= "<option value='2|4|2|2|2'".(($this->value=='2|4|2|2|2') ? " selected='selected'" : '').">2 | 4 | 2 | 2 | 2</option>";
		$cols_5 .= "<option value='3|2|2|2|3'".(($this->value=='3|2|2|2|3') ? " selected='selected'" : '').">3 | 2 | 2 | 2 | 3</option>";
		$cols_5 .= "<option value='3|2|2|3|2'".(($this->value=='3|2|2|3|2') ? " selected='selected'" : '').">3 | 2 | 2 | 3 | 2</option>";
		$cols_5 .= "<option value='3|2|3|2|2'".(($this->value=='3|2|3|2|2') ? " selected='selected'" : '').">3 | 2 | 3 | 2 | 2</option>";
		$cols_5 .= "<option value='3|3|2|2|2'".(($this->value=='3|3|2|2|2') ? " selected='selected'" : '').">3 | 3 | 2 | 2 | 2</option>";
		$cols_5 .= "<option value='4|2|2|2|2'".(($this->value=='4|2|2|2|2') ? " selected='selected'" : '').">4 | 2 | 2 | 2 | 2</option>";
		
		// column 6 options
		$cols_6  = '';
		$cols_6 .= "<option value=''".(($this->value=='') ? " selected='selected'" : '').">---- Select Grid System ----</option>";
		$cols_6 .= "<option value='2|2|2|2|2|2'".(($this->value=='2|2|2|2|2|2') ? " selected='selected'" : '').">2 | 2 | 2 | 2 | 2 | 2</option>";
		
		// required fields
		$is_required = true; 
		$required_validate = ($is_required) ? ' required' : '';
		
		if ($is_pos_enabled && $element_name != 'mainbody' && $element_name != 'footer'):
			
			// BEGIN: Add Extra Javascript
			$extra_js  = '';
			$extra_js .= '
			//http://jsfiddle.net/YPsqQ/
			var bt_layoutgrid = jQuery.noConflict();
			bt_layoutgrid(document).ready(function() {
				bt_layoutgrid(".modules_'.$element_name.'").change(function() {
					var val = bt_layoutgrid(this).val();
					
					if (val == "1") {
						
						bt_layoutgrid(".grid_'.$element_name.'").html("'.$cols_1.'");
						
					} else if (val == "2") {
					
						bt_layoutgrid(".grid_'.$element_name.'").html("'.$cols_2.'");
					
					} else if (val == "3") {
					
						bt_layoutgrid(".grid_'.$element_name.'").html("'.$cols_3.'");
						
					} else if (val == "4") {
					
						bt_layoutgrid(".grid_'.$element_name.'").html("'.$cols_4.'");
						
					} else if (val == "5") {
					
						bt_layoutgrid(".grid_'.$element_name.'").html("'.$cols_5.'");
						
					} else if (val == "6") {
					
						bt_layoutgrid(".grid_'.$element_name.'").html("'.$cols_6.'");
						
					} else if (val == "") {
					
						bt_layoutgrid(".grid_'.$element_name.'").html("'.$none.'");
					
					}
					bt_layoutgrid(".chzn-done").trigger("liszt:updated");

				});
			});
			';
			$document = JFactory::getDocument();
			$document->addScriptDeclaration($extra_js);
			// END: Add Extra Javascript

			// BEGIN: calculate which grid system is and set the default grid system 3 if is undefined
			$grid_system_arr = explode('|', $this->value);
			if (!empty($grid_system_arr[0])):
				$grid_system_count = count($grid_system_arr);
			else:
				$grid_system_count = 3;
			endif;
			// END: calculate
			
			$html .= '<select id="'.$this->id.'" name="'.$this->name.'" class="grid_'.$element_name.''.$required_validate.''.(($this->value == '') ? ' invalid' : '').'">';
			$html .= ${"cols_".$grid_system_count};
			$html .= '</select>';
		
		elseif ($is_pos_enabled && $element_name == 'mainbody'):

			// BEGIN: Add Extra Javascript
			$extra_js  = '';
			$extra_js .= '
			//http://jsfiddle.net/YPsqQ/
			var bt_layoutgrid = jQuery.noConflict();
			bt_layoutgrid(document).ready(function() {
				bt_layoutgrid(".modules_'.$element_name.'").change(function() {
					var val = bt_layoutgrid(this).val();
					
					if (val == "left") {
						
						bt_layoutgrid(".grid_'.$element_name.'").html("'.$cols_2.'");
						
					} else if (val == "double_left") {
					
						bt_layoutgrid(".grid_'.$element_name.'").html("'.$cols_3.'");
					
					} else if (val == "right") {
					
						bt_layoutgrid(".grid_'.$element_name.'").html("'.$cols_2.'");
						
					} else if (val == "double_right") {
					
						bt_layoutgrid(".grid_'.$element_name.'").html("'.$cols_3.'");
						
					} else if (val == "left_main_right") {
					
						bt_layoutgrid(".grid_'.$element_name.'").html("'.$cols_3.'");
						
					} else if (val == "only_main") {
					
						bt_layoutgrid(".grid_'.$element_name.'").html("'.$cols_1.'");
						
					} else if (val == "") {
					
						bt_layoutgrid(".grid_'.$element_name.'").html("'.$none.'");
					
					}
					bt_layoutgrid(".chzn-done").trigger("liszt:updated");
				});
			});
			';
			$document = JFactory::getDocument();
			$document->addScriptDeclaration($extra_js);
			// END: Add Extra Javascript

			// BEGIN: calculate which grid system is and set the default grid system 3 if is undefined
			$grid_system_arr = explode('|', $this->value);
			if (!empty($grid_system_arr[0])):
				$grid_system_count = count($grid_system_arr);
			else:
				$grid_system_count = 3;
			endif;
			// END: calculate
			
			$html .= '<select id="'.$this->id.'" name="'.$this->name.'" class="grid_'.$element_name.''.$required_validate.'">';
			$html .= ${"cols_".$grid_system_count};
			$html .= '</select>';

		elseif ($is_pos_enabled && $element_name == 'footer'):

			// BEGIN: Add Extra Javascript
			$extra_js  = '';
			$extra_js .= '
			//http://jsfiddle.net/YPsqQ/
			var bt_layoutgrid = jQuery.noConflict();
			bt_layoutgrid(document).ready(function() {
				bt_layoutgrid(".modules_'.$element_name.'").change(function() {
					var val = bt_layoutgrid(this).val();
					
					if (val == "copyrighticon_copyrightmessage_gotopicon") {
						
						bt_layoutgrid(".grid_'.$element_name.'").html("'.$cols_3.'");
						
					} else if (val == "copyrighticon_copyrightmessage") {
					
						bt_layoutgrid(".grid_'.$element_name.'").html("'.$cols_2.'");
					
					} else if (val == "copyrighticon_gotopicon") {
					
						bt_layoutgrid(".grid_'.$element_name.'").html("'.$cols_2.'");
						
					} else if (val == "copyrightmessage_gotopicon") {
					
						bt_layoutgrid(".grid_'.$element_name.'").html("'.$cols_2.'");
						
					} else if (val == "copyrighticon") {
					
						bt_layoutgrid(".grid_'.$element_name.'").html("'.$cols_1.'");
						
					} else if (val == "copyrightmessage") {
					
						bt_layoutgrid(".grid_'.$element_name.'").html("'.$cols_1.'");

					} else if (val == "gotopicon") {
					
						bt_layoutgrid(".grid_'.$element_name.'").html("'.$cols_1.'");
						
					} else if (val == "") {
					
						bt_layoutgrid(".grid_'.$element_name.'").html("'.$none.'");
					
					}
					bt_layoutgrid(".chzn-done").trigger("liszt:updated");
				});
			});
			';
			$document = JFactory::getDocument();
			$document->addScriptDeclaration($extra_js);
			// END: Add Extra Javascript

			// BEGIN: calculate which grid system is and set the default grid system 3 if is undefined
			$grid_system_arr = explode('|', $this->value);
			if (!empty($grid_system_arr[0])):
				$grid_system_count = count($grid_system_arr);
			else:
				$grid_system_count = 3;
			endif;
			// END: calculate
			
			$html .= '<select id="'.$this->id.'" name="'.$this->name.'" class="grid_'.$element_name.''.$required_validate.'">';
			$html .= ${"cols_".$grid_system_count};
			$html .= '</select>';
			
		else:
			$html .= '';
		endif;

		return $html;
	}//endf
}//endclass
?>



