<?php
defined( '_JEXEC' ) or die( 'Restricted access' );

require_once('elements_helper.php');

jimport('joomla.form.formfield');

class JFormFieldLayoutmodules extends JFormField {
	
	protected $type = 'Layoutmodules';
	
	// get params from params.ini
	function getParamsFromIni()
	{
		$params_ini_arr = array();
		$params_ini_arr = parse_ini_file(str_replace('administrator/','',JPATH_THEMES).'/'.getCleanTemplateName().'/params.ini');
		return $params_ini_arr;
	}

	protected function getLabel()
	{
		// get params
		$params_ini_arr = $this->getParamsFromIni();
		
		// get element name
		$element_name_arr = explode('_', $this->element['name']);
		$element_name = $element_name_arr[0];
		
		$is_pos_enabled = ($params_ini_arr[$element_name.'_enabled'] == 1) ? true : false;

		if ($is_pos_enabled):
			$html  = '';
			//$html .= JText::_( 'TPL_BT_'.strtoupper($element_name).'_HEADER' );
			$html .= '<label>'.ucfirst($element_name).' Layout *</label>';
		else:
			$html = '';
		endif;
		return $html;
	}

	protected function getInput() 
	{
		// get params
		$params_ini_arr = $this->getParamsFromIni();
		
		// get element name
		$element_name_arr = explode('_', $this->element['name']);
		$element_name = $element_name_arr[0];
		
		$is_pos_enabled = ($params_ini_arr[$element_name.'_enabled'] == 1) ? true : false;
		
		$html  = '';
		
		// required fields
		$is_required = true; 
		$required_validate = ($is_required) ? ' required' : '';

		if ($is_pos_enabled && $element_name != 'mainbody' && $element_name != 'footer'):

			$pos_modules = $params_ini_arr[$element_name.'_modules'];
	
			$html .= '<select id="'.$this->id.'" name="'.$this->name.'" class="modules_'.$element_name.''.$required_validate.'">';
			$html .= '<option value="">---- Select Columns ----</option>';
			for ($i=1;$i<=$pos_modules;$i++):
				$html .= '<option value="'.$i.'"'.(($this->value==''.$i.'' || ($this->value == '' && $i == 3)) ? ' selected="selected"' : '').'>'.$i.' Columns</option>';
			endfor;
			$html .= '</select> ';
	
		elseif ($is_pos_enabled && $element_name == 'footer'):

			$html .= '<select id="'.$this->id.'" name="'.$this->name.'" class="modules_'.$element_name.''.$required_validate.'">';
				$html .= '<option value="">---- Select Layout Type ----</option>';

				$html .= '<option value="copyrighticon_copyrightmessage_gotopicon"'.(($this->value=='copyrighticon_copyrightmessage_gotopicon' || $this->value == '') ? ' selected="selected"' : '').'>Copyright Icon + Copyright Message + Go Top Icon</option>'; // A + B + C

				$html .= '<option value="copyrighticon_copyrightmessage"'.(($this->value=='copyrighticon_copyrightmessage') ? ' selected="selected"' : '').'>Copyright Icon + Copyright Message</option>'; // A + B
				
				$html .= '<option value="copyrighticon_gotopicon"'.(($this->value=='copyrighticon_gotopicon') ? ' selected="selected"' : '').'>Copyright Icon + Go Top Icon</option>'; // A + C
				
				$html .= '<option value="copyrightmessage_gotopicon"'.(($this->value=='copyrightmessage_gotopicon') ? ' selected="selected"' : '').'>Copyright Message + Go Top Icon</option>'; // B + C

				$html .= '<option value="copyrighticon"'.(($this->value=='copyrighticon') ? ' selected="selected"' : '').'>Copyright Icon</option>'; // A
				$html .= '<option value="copyrightmessage"'.(($this->value=='copyrightmessage') ? ' selected="selected"' : '').'>Copyright Message</option>'; // B
				$html .= '<option value="gotopicon"'.(($this->value=='gotopicon') ? ' selected="selected"' : '').'>Go Top Icon</option>'; // C

			$html .= '</select> ';
			
		elseif ($is_pos_enabled && $element_name == 'mainbody'):

			$html .= '<select id="'.$this->id.'" name="'.$this->name.'" class="modules_'.$element_name.''.$required_validate.'">';
				$html .= '<option value="">---- Select Layout Type ----</option>';
				$html .= '<option value="left"'.(($this->value=='left') ? ' selected="selected"' : '').'>1 Left Column + Mainbody</option>';
				$html .= '<option value="double_left"'.(($this->value=='double_left') ? ' selected="selected"' : '').'>2 Left Columns + Mainbody</option>';
				$html .= '<option value="right"'.(($this->value=='right' || $this->value == '') ? ' selected="selected"' : '').'>Mainbody + 1 Right Column</option>';
				$html .= '<option value="double_right"'.(($this->value=='double_right') ? ' selected="selected"' : '').'>Mainbody + 2 Right Columns</option>';
				$html .= '<option value="left_main_right"'.(($this->value=='left_main_right') ? ' selected="selected"' : '').'>1 Left Column + Mainbody + 1 Right Column</option>';
				$html .= '<option value="only_main"'.(($this->value=='only_main') ? ' selected="selected"' : '').'>Only Main (without columns)</option>';
			$html .= '</select> ';
			
		else:
		
			$html .= '';
		
		endif;

		return $html;
	}//endf
}//endclass
?>



