<?php
defined( '_JEXEC' ) or die( 'Restricted access' );

require_once('elements_helper.php');

jimport('joomla.form.formfield');

class JFormFieldSkins extends JFormField {
	
	protected $type = 'Skins';

	// get params from params.ini
	function getParamsFromIni()
	{
		$params_ini_arr = array();
		$params_ini_arr = parse_ini_file(str_replace('administrator/','',JPATH_THEMES).'/'.getCleanTemplateName().'/params.ini');
		return $params_ini_arr;
	}
	
	protected function getLabel()
	{
		// check if is enabled
		$params_ini_arr = $this->getParamsFromIni();
		$is_skins_enabled = ($params_ini_arr['skins'] == 1) ? true : false;

		if ($is_skins_enabled):
			$html  = '';
			$html .= '<label>'.JText::_('TPL_BT_SKINS_LBL').'</label>';
		else:
			$html = '';
		endif;
		return $html;
	}
	
	protected function getInput() 
	{
		// check if is enabled
		$params_ini_arr = $this->getParamsFromIni();
		$is_skins_enabled = ($params_ini_arr['skins'] == 1) ? true : false;
		
		$html = '';
		
		// read all css files from the folder "/bt_template/css/skins/"
		$skins_folder_path = JPATH_ROOT.'/templates/'.getCleanTemplateName().'/css/skins/';
		$css_skin_files = array();
		if ($handle = opendir($skins_folder_path)) :
			while ($entry = readdir($handle)) :
				$ext = pathinfo($entry, PATHINFO_EXTENSION);
				if ($ext=='css'):
					$css_file_name_without_ext = str_replace('.css', '', $entry);
					$css_skin_files[] = $css_file_name_without_ext;
				endif;
			endwhile;
			closedir($handle);
		endif;
		sort($css_skin_files);
		
		if ($is_skins_enabled):
			$html .= '<select id="'.$this->id.'" name="'.$this->name.'">';
			foreach ($css_skin_files as $css_skin_file)
			$html .= '<option value="'.$css_skin_file.'"'.(($this->value==$css_skin_file) ? ' selected="selected"' : '').'>'.$css_skin_file.'</option>';
			$html .= '</select> ';
		endif;
		
		return $html;
	}//endf
}//endclass
?>



