<?php
defined( '_JEXEC' ) or die( 'Restricted access' );

require_once('elements_helper.php');

jimport('joomla.form.formfield');

class JFormFieldStyleswitcher extends JFormField {
	
	protected $type = 'Styleswitcher';

	// get params from params.ini
	function getParamsFromIni()
	{
		$params_ini_arr = array();
		
		$ini_file_path = str_replace('administrator/','',JPATH_THEMES).'/'.getCleanTemplateName().'/params.ini';
		if (file_exists($ini_file_path)):
			$params_ini_arr = parse_ini_file($ini_file_path);
		endif;
		return $params_ini_arr;
	}
	
	protected function getLabel()
	{
		// check if is enabled
		$params_ini_arr = $this->getParamsFromIni();
		$is_style_switcher_enabled = ($params_ini_arr['style_switcher'] == 1) ? true : false;

		if ($is_style_switcher_enabled):
			$html  = '';
			$html .= '<label>'.JText::_('TPL_BT_STYLE_SWITCHER_LBL').'</label>';
		else:
			$html = '';
		endif;
		return $html;
	}
	
	protected function getInput() 
	{
		// check if is enabled
		$params_ini_arr = $this->getParamsFromIni();
		$is_style_switcher_enabled = ($params_ini_arr['style_switcher'] == 1) ? true : false;
		
		$html = '';
		
		if ($is_style_switcher_enabled):
		
			$html .= '<select id="'.$this->id.'" name="'.$this->name.'">';
			$html .= '<option value="1"'.(($this->value=='1') ? ' selected="selected"' : '').'>Yes</option>';
			$html .= '<option value="0"'.(($this->value=='0') ? ' selected="selected"' : '').'>No</option>';
			$html .= '</select> ';
		endif;
		
		return $html;
	}//endf
}//endclass
?>



