<?php
// include helper
require_once (BONUS_LAYOUT_PATH.'/layout_helper.php');
$bt = new BonusHelper();

// no direct access
defined('_JEXEC') or die;

if (!isset($this->error)) {
	$this->error = JError::raiseWarning(404, JText::_('JERROR_ALERTNOAUTHOR'));
	$this->debug = false;
}
//get language and direction
$doc = JFactory::getDocument();
$this->language = $doc->language;
$this->direction = $doc->direction;
?>

<!DOCTYPE html>
<html lang="<?php echo $this->language; ?>" dir="<?php echo $this->direction; ?>">

<head>
	<meta http-equiv="content-type" content="text/html; charset=utf-8" />
	<title><?php echo $this->error->getCode(); ?> - <?php echo htmlspecialchars($this->error->getMessage()); ?></title>
	<?php include_once(BONUS_LAYOUT_PATH.'/head.php'); ?>

<?php if ($bt->tmpl_params->get('styleswitcher', '1') == 1 && (!empty($pattern_style_css_a) || !empty($bgimages_style_css_a) || !empty($pattern_style_css_b) || !empty($bgimages_style_css_b) || !empty($skins_style_css))): ?>
<!-- BEGIN: Style Switcher -->
<style type="text/css">
<?php echo (!empty($pattern_style_css_a) ? $pattern_style_css_a : ''); ?>
<?php echo (!empty($pattern_style_css_b) ? $pattern_style_css_b : ''); ?>
<?php echo (!empty($bgimages_style_css_a) ? $bgimages_style_css_a : ''); ?>
<?php echo (!empty($bgimages_style_css_b) ? $bgimages_style_css_b : ''); ?>
<?php echo (!empty($skins_style_css) ? $skins_style_css : ''); ?>
</style>
<!-- END: Style Switcher -->
<?php endif; ?>
</head>

<body id="<?php echo $bt->getCleanTemplateName(); ?>" class="bt_error bt_body<?php echo (!empty($body_class) ? $body_class : '')?>">

	<div class="bt_error_outer">
	
		<div class="container">
		
			<div class="row">
		
				<div class="col-lg-5 col-md-5 col-sm-12 col-xs-12">
					<p class="error_message"><?php echo $this->error->getMessage(); ?></p> 
					<div class="error_img">
						<img src="<?php echo $this->baseurl ?>/templates/<?php echo $this->template; ?>/images/system/bt_error_img.png" alt="error image" class="pull-left img-responsive" />
					</div> 
				</div><!-- .col -->
			
				<div class="col-lg-7 col-md-7 col-sm-12 col-xs-12">
			
					<div class="bt_error_message">
						
						<div class="bt_error_notice_text"><p><?php echo JText::_('JERROR_LAYOUT_NOT_ABLE_TO_VISIT'); ?></p></div>
			
						<div class="bt_error_details">
							
							<ol>
								<li><?php echo JText::_('JERROR_LAYOUT_AN_OUT_OF_DATE_BOOKMARK_FAVOURITE'); ?></li>
								<li><?php echo JText::_('JERROR_LAYOUT_SEARCH_ENGINE_OUT_OF_DATE_LISTING'); ?></li>
								<li><?php echo JText::_('JERROR_LAYOUT_MIS_TYPED_ADDRESS'); ?></li>
								<li><?php echo JText::_('JERROR_LAYOUT_YOU_HAVE_NO_ACCESS_TO_THIS_PAGE'); ?></li>
								<li><?php echo JText::_('JERROR_LAYOUT_REQUESTED_RESOURCE_WAS_NOT_FOUND'); ?></li>
								<li><?php echo JText::_('JERROR_LAYOUT_ERROR_HAS_OCCURRED_WHILE_PROCESSING_YOUR_REQUEST'); ?></li>
							</ol>
							
							<p><strong><?php echo JText::_('JERROR_LAYOUT_PLEASE_TRY_ONE_OF_THE_FOLLOWING_PAGES'); ?></strong></p>
							
							<ul>
								<li><a href="<?php echo $this->baseurl; ?>/index.php" title="<?php echo JText::_('JERROR_LAYOUT_GO_TO_THE_HOME_PAGE'); ?>"><?php echo JText::_('JERROR_LAYOUT_HOME_PAGE'); ?></a></li>
								<li><a href="<?php echo $this->baseurl; ?>/index.php?option=com_search" title="<?php echo JText::_('JERROR_LAYOUT_SEARCH_PAGE'); ?>"><?php echo JText::_('JERROR_LAYOUT_SEARCH_PAGE'); ?></a></li>
							</ul>
						
							<p><?php echo JText::_('If difficulties persist, please contact the system administrator of this site.'); ?></p>
						
						</div><!-- #bt_error_details -->
					
					</div><!-- #bt_error_message -->

					<div><small><?php if ($this->debug) : echo $this->renderBacktrace(); endif; ?></small></div>
			
				</div><!-- .col -->

			</div><!-- .row -->
		
		</div><!-- .container -->

	</div><!-- .bt_error_outer -->

<?php include_once(BONUS_LAYOUT_PATH.'/foot.php'); ?>

</body>
</html>